
 PROGRAM FOR THE REFINEMENT OF ANHARMONIC TEMPERATURE FACTORS FROM POWDER DATA
 =============================================================================

 THE PROGRAM IS AVAILABLE FROM:
 H. BOYSEN, INSTITUT F. KRISTALLOGRAPHIE, UNIVERSITAET MUENCHEN
 THERESIENSTR.41, 80333 MUENCHEN, FRG.
 E-MAIL: boysen@lrz.uni-muenchen.de
 Ref.: "Anharmonic Thermal Parameters, Disorder and Phase Transitions"
       NIST Special Publication 846. Proceedings of the International
       Conference on Accuracy in Powder Diffraction II, 
       Gaithersburg, 1992, pp 165-174

 NOTE:
 *****
 THIS IS A PRELIMINARY VERSION OF THE PROGRAM(S). IT HAS BEEN USED SUCCESSFULLY
 IN A NUMBER OF CASES, BUT NO WARRANTY IS GIVEN. PLEASE NOTIFY ME, IF ANY ERRORS
 OR OTHER INCONVENIENCIES ARE DETECTED.

*****  In the UNIX version all file names are lower case, TAPE... is replaced
*****  by ftn...

 IT IS BASED ON A MULTIPATTERN RIETVELD PROGRAM BY THOMAS AND BENDALL  WHICH
 HAS BEEN EXTENDED TO 5 PHASES AND ANHARMONIC TEMPERATURE FACTORS (PREP,PROF).
 THE LATTER ARE CALCULATED VIA A GRAM-CHARLIER FORMALISM UP TO THE 4TH ORDER.
 THE RESULTS CAN BE FURTHER EVALUATED WITH THE SINGLE CRYSTAL PROGRAM PACKAGE
 PROMETHEUS (AVAILABLE FROM W.STEURER, SAME ADDRESS; ALSO, SEE PROMETHEUS
 MANUAL FOR A DESCRIPTION OF ANHARMONIC TEMPERATURE FACTOR FORMALISMS):
 PDF-MAPS, JOINT PDF'S, POTENTIALS (MULPDF)
 FOURIER-MAPS (FOURIER)
 OTHER EXPANSIONS OR HIGHER ORDERS (REFINE)
 PLOTTING (PLOTCAL).
 THE CONNECTION IS ACHIEVED BY THE PROGRAM RIPR  WHICH CONVERTS THE POWDER
 RESULTS TO PSEUDO SINGLE CRYSTAL DATA IN THE FORMAT REQUIRED FOR PROMETHEUS.

***** Note (Sept. 1997): PROMETHEUS is now maintained by Werner Kuhs
(Universitaet Goettingen) and available at http://kristall.uni-mki.gwdg.de.
An old version of the program is supplied with this package to comply with
the formats used in RIPR. Plotting routines are included, although at the
moment they make use of special local software not generally available, and
thus have to be adapted.

 THE FOLLOWING PROGRAMS ARE INCLUDED:

 1. PREP
    ====
 PREPARATORY PROGRAM (SUBTRACTION OF BACKGROUND, ASSIGNEMENT OF REFLEXIONS,
 ETC.; FURTHER DETAILS BELOW)

 INPUT:    PREPEIN (SEE BELOW)

 OUTPUT:   TEMPO (TEMPORARY BINARY FILE   ---)   INPUT FOR PROF)
           LPPR  (LINEPRINTER OUTPUT)
           YOBS  (OBSERVED INTENSITIES, 2-THETA IN DEG!)
           BACK  (INTERPOLATED -GIVEN- BACKGROUND FILE)

 2.PROF
   ====
 MAIN REFINEMENT PROGRAM (FURTHER DETAILS BELOW)

 INPUT:    PROFEIN (SEE BELOW)
           TEMPO (TEMPORARY FILE FROM PREP)

 OUTPUT:   LPPF (LINEPRINTER OUTPUT)
           NEUPAR (NEW PARAMETERS, CAN BE CONVERTED TO NEW PROFEIN WITH KOPIE)
           SHORES (RESULTS IN SHORT FORM, AFTER CONVERGENCE)
           YCO (OBS AND CALC INTENSITIES, TO BE USED BY MDIF)
           MARKER (CONTAINS 2THETA POSITIONS OF REFLEXIONS)
           IOBS (LIST OF INTEGRATED -BRAGG- INTENSITIES WITH STD.DEV.)

1

 3.EINGABE
   =======
 INTERACTIVE PROGRAM TO PREPARE INPUT FILES FOR PREP (PREPEIN) AND PROF (PROFEIN)
 NOTE: IT IS ADVISED TO PREPARE SEPARATE HKL-, DATA- AND POS/BACK-FILES FIRST.
       THESE ARE THEN READ IN BY EINGABE.

 OUTPUT:   PREPEIN
           PROFEIN

 4.KOPIE
   =====
 PREPARES NEW INPUTFILES PREPEIN AND PROFEIN FROM  NEUPAR

 INPUT:    NEUPAR
           PREPALT

 OUTPUT:   PREPEIN
           PROFEIN

 NOTE: THE OLD VERSION OF PREPEIN MUST BE COPIED TO PREPALT FIRST
                                  ****
       IT IS ADVISED TO SAVE THE OLD VERSION OF PROFEIN TOO

 5.MDIF
   ====
 PREPARES FILES FOR FINAL PLOTTING

 INPUT:    YCO (FROM PROF)
           MARKER (FROM PROF)
           YOBS (FROM PREP)
           BACK (FROM PREP)

 OUTPUT:   YCALC (CALCULATED INTENSITIES, 2THETA IN DEG.)
           DIFF  (DIFFERENCE YOBS-YCALC, TO BE COMPARED WITH BACK)
           MARKS (REFLEXION POSITION MARKERS, ALL PHASES)
           M1-M5 (MARKERS FOR EACH PHASE)
 6.RIPR
   ====
 GENERATES INPUT FILES FOR REFINE OF PROMETHEUS FROM OUTPUT OF PROF

 INPUT:    NEUPAR
           IOBS

 OUTPUT:   TAPE10 (STRUCTURAL PARAMETERS ETC)
           EINRE (INPUT FOR REFINE OF PROMETHEUS, 3 CYCLES OF REFINEMENT,
                  SCALE FACTOR ONLY; WITH THIS A DUMMY RUN OF REFINE WILL
                  PREPARE FURTHER INPUT FILES -FOURIER FILE TAPE13-
                  FOR THE -MORE IMPORTANT- ROUTINES MULPDF AND FOURIER)
           TAPE3 (HKL-I LIST)

7. SYMACH
   ======
Generates symmetry cards for PROFEIN

INPUT:     none

OUTPUT     SYM

8. HKL
   ===

Generates hkl-list for PREPEIN

INPUT:      none

OUTPUT      HKLLIS

9. RIPLO
   =====

Plotting of observed and calculated intensities as well as difference and
markers. See, however, remark above!


 *******************************************************************************
 IN THE FOLLOWING THE PROGRAM DESCRIPTION OF THOMAS AND BENDALL IS REPRODUCED
 WHERE THE DETAILED STRUCTURE OF INPUT FILES PREPEIN AND PROFEIN IS GIVEN.
 ALTERATIONS CONCERNING THE REFINEMENT OF ANHARMONIC TEMPERATURE FACTORS ARE
 INDICATED BY STARS (******).
 ********************************************************************************
1

                             ******
                             *PREP*
                             ******


                            MANUAL FOR MULTIPATTERN PREPROFILE PROGRAM                  INDEX
                      ....................................................................







                      CHAPTER OR SECTION                                              PAGE
                      ..................                                              ....



                      PROFILE PREPARATION                                               1.
                      -------------------

                      INTRODUCTION                                                      1.

                      A NOTE ON THE FORMAT OF THE INPUT DATA                            1.


                      INPUT DATA FOR PROFILE PREPARATION                                2.
                      ----------------------------------


                      LINE 1.  TITLE                                                    2.

                      LINE 2.  NUMBER OF PATTERNS                                       2.

                      LINE 3.  UNIT CELL PARAMETERS)                                    2.

                      LINE 4.  PROFILE PARAMETERS)                                      2.

                      LINE SET 5.  HALFWIDTH PARAMETERS

                      LINE SET 6.  BACKGROUND VALUES                                    3.

                      OPTIONAL LINE SET 7.  EXCLUDED REGIONS                            3.

                      LINE 8.  NUMBER OF REFLECTIONS                                    3.

                      LINE 9.  DENOMINATORS OF MILLER INDICES                           4.

                      LINE SET 10.  REFLECTION DATA                                     4.

                      LINE 10. RANGE OF PROFILE DATA                                    4.

                      OPTIONAL LINE SET 12A.  PROFILE DATA                              5.

                      OPTIONAL LINE SET 12B.  PROFILE DATA                              5.

1

                                      MANUAL FOR MULTIPATTERN PREPROFILE PROGRAM                           1.
         ...................................................................................................










                                    PROFILE PREPARATION
                                    -------------------







         INTRODUCTION
         ------------



                       BEFORE POWDER PROFILE REFINEMENT CAN BE SUCCESSFULLY CARRIED OUT, IT IS NECESSARY  TO
               DETERMINE WHICH REFLECTIONS FROM THE SPECIMEN CONTRIBUTE TO WHICH PART OF THE POWDER  PROFILE
               PATTERN. THIS TASK MUST BE CARRIED OUT  MORE  THAN  ONCE  DURING  THE  COURSE  OF  REFINEMENT
               BECAUSE ALTERATION OF THE UNIT CELL AND  PROFILE  PARAMETERS  WILL  CHANGE  THE  RELATIONSHIP
               BETWEEN THE REFLECTIONS AND  THE  OBSERVED  PROFILE.  IT  IS  RECOMMENDED  THAT  THE  PROFILE
               PREPARATION STAGE SHOULD BE REPEATED  WHENEVER  SIGNIFICANT  CHANGES  IN  THE  UNIT  CELL  OR
               PROFILE PARAMETERS OCCUR. A MORE DETAILED DISCUSSION OF  THE  UNDERLYING  PRINCIPLES  OF  THE
               PROFILE REFINEMENT METHOD IS GIVEN IN THE DOCUMENTATION RELATING TO  THE  REFINEMENT  PROGRAM
               ITSELF. THE SYMBOLS USED FOR VARIOUS EXPERIMENTAL QUANTITIES IN THAT DISCUSSION ARE  RETAINED
               HERE ALSO.










         A NOTE ON THE FORMAT OF THE INPUT DATA
         --------------------------------------
                       UNLESS OTHERWISE SPECIFIED, THE INPUT DATA MAY BE SUPPLIED IN A  'FREE  FORMAT'  MODE
               IN WHICH ALL NUMERIC VALUES MUST BE TERMINATED BY AT LEAST ONE SPACE CHARACTER.

1

                                      MANUAL FOR MULTIPATTERN PREPROFILE PROGRAM                           2.
         ...................................................................................................
                                    INPUT DATA FOR PROFILE PREPARATION
                                    ----------------------------------
         LINE 1.  TITLE
         ---------------
                       A TITLE CONSISTING OF UP TO 80  HOLLERITH  CHARACTERS  WHICH  WILL  BE  OUTPUT  AS  A
               HEADING FOR THE PRINTED RESULTS.


          LINE 2.  NUMBER OF PATTERNS
          ----------------------------
                   THE NUMBER OF PATTERNS IN THE SCAN


         LINE SET 3.  UNIT CELL PARAMETERS FOR EACH PATTERN)
         --------------------------------------------------
                       (ALL VALUES INPUT AS DECIMAL NUMBERS)
               VALUE(3.1)     > A     <    > AA.
                              >       <    >
               VALUE(3.2)     > B     <    > BB.
                              >       <    >
               VALUE(3.3)     > C     <    > CC.
                              >       < OR >
               VALUE(3.4)     > ALPHA <    > BC.
                              >       <    >
               VALUE(3.5)     > BETA  <    > AC.
                              >       <    >
               VALUE(3.6)     > GAMMA <    > AB.

                       WHEN VALUE(3.1) IS GREATER THAN 1.0, THE INPUT IS ASSUMED TO CONTAIN  THE  REAL  CELL
               DIMENSIONS, 'A', 'B', AND 'C' IN ANGSTROMS, AND 'ALPHA',  'BETA',  AND  'GAMMA'  IN  DEGREES.
               OTHERWISE, THE UNIT CELL IS INPUT AS THE COMPONENTS OF THE RECIPROCAL  METRIC  TENSOR,  'AA',
               'BB', 'CC', 'BC', 'AC', AND 'AB'.
                   THIS LINE MUST BE REPEATED FOR EACH PATTERN


         LINE 4.  PROFILE PARAMETERS
         ----------------------------
                       (ALL VALUES INPUT AS DECIMAL NUMBERS)

               VALUE(4.1)     THE ZEROPOINT ERROR RELATING THE TRUE TWO THETA VALUE
                              TO THAT INDICATED BY THE COUNTER ARM SCALE (IN UNITS
                              OF HUNDREDTHS OF A DEGREE). THE ZERO POINT ERROR IS
                              SUBTRACTED FROM THE SCALE READING IN CALCULATING
                              THE TRUE TWO THETA VALUE.
               VALUE(4.2)     THE STANDARD DEVIATION IN THE BACKGROUND MEASUREMENTS
                              SUPPLIED IN LINE SET 6. WEIGHTS FOR THE PROFILE
                              POINTS ARE CALCULATED FROM THE EXPRESSION:
                              %250/(I + VALUE(4.5)**2)]
                              WHERE 'I' IS THE INTENSITY MEASURED BY THE COUNTER.
               VALUE(4.3)     THE NEUTRON WAVELENGTH, OR FOR X-RAY REFINEMENT,
                              THE WAVELENGTH OF THE X-RAY ALPHA-1 RADIATION.
               VALUE(4.4)     THE TWO THETA RANGE OVER WHICH A REFLECTION IS ASSUMED
                              TO YIELD A SIGNIFICANT CONTRIBUTION TO THE PROFILE IS
                              CALCULATED FROM: %2*VALUE(4.4)*HW], WHERE 'HW' IS
                              THE HALFWIDTH CALCULATED FROM THE PROFILE PARAMETERS,
1

                                      MANUAL FOR MULTIPATTERN PREPROFILE PROGRAM                           3.
         ...................................................................................................



                              'U', 'V', AND 'W'. IF VALUE(4.4) IS INPUT AS ZERO, IT
                              IS RESET TO 1.5;

                  THE REMAINING THREE VALUES SHOULD ONLY BE SUPPLIED WHEN X-RAY REFINEMENT  IS  CARRIED OUT.
               VALUE(4.5)     THE WAVELENGTH OF THE X-RAY ALPHA-2 RADIATION.
               VALUE(4.6)     THE MONOCHROMATOR POLARISATION CONSTANT. VALUE(4.6)
                              IS RESET TO 1.0 IF INPUT AS ZERO.
               VALUE(4.7)     THE ABSORPTION FACTOR, THE PRODUCT OF THE ABSORPTION
                              COEFFICIENT AND THE THICKNESS FOR A PLATE SPECIMEN.
                              THE ABSORPTION CORRECTION APPLIED IS:
                              %1 - 0.1*VALUE(4.7)*SINE(2THETA)].

         LINE SET 5.  HALFWIDTH PARAMETERS FOR EACH PATTERN)
         ---------------------------------------------------
                       (ALL VALUES INPUT AS DECIMAL NUMBERS)
               VALUE(5.1)     >                                < U.
                              >                                <
               VALUE(5.2)     > HALFWIDTH PARAMETERS (IN UNITS < V.
                              > OF HUNDREDTHS OF A DEGREE).    <
               VALUE(5.3)     >                                < W.

         LINE SET 6.  BACKGROUND VALUES
         -------------------------------
                       (ALL VALUES INPUT AS DECIMAL NUMBERS)

                       UP TO 50 BACKGROUND VALUES MAY BE GIVEN IN THE FORM:-
               VALUE(6.1)     TWO THETA IN UNITS OF HUNDREDTHS OF A DEGREE.
               VALUE(6.2)     BACKGROUND COUNT AT TWO THETA EQUALS VALUE(6.1).
                       THE INPUT OF BACKGROUND VALUES IS TERMINATED BY A LINE WHERE VALUE(6.1) IS  GIVEN  AS
               -100. THE FIRST BACKGROUND VALUE SHOULD BE GIVEN EITHER BEFORE OR  AT  THE  POINT  WHERE  THE
               FIRST PROFILE INTENSITY WAS MEASURED. BACKGROUND COUNTS AT INTERMEDIATE POINTS  ARE  OBTAINED
               BY LINEAR INTERPOLATION.

         OPTIONAL LINE SET 7.  EXCLUDED REGIONS
         ---------------------------------------
                       (ALL VALUES INPUT AS INTEGERS)

                       UP TO 10 REGIONS OF THE MEASURED PROFILE MAY BE OMITTED FROM THE  CALCULATION.  THESE
               REGIONS ARE DEFINED BY LOWER AND UPPER BOUNDS IN TWO THETA GIVEN IN UNITS OF HUNDREDTHS OF  A
               DEGREE.
               VALUE(7.1)     -(LOWEST TWO THETA VALUE OF THE EXCLUDED REGION).
               VALUE(7.2)     -(HIGHEST TWO THETA VALUE OF THE EXCLUDED REGION).

                       NOTE THAT THE MINUS SIGNS ARE OBLIGATORY. WHEN REGIONS TO BE EXCLUDED ARE  SPECIFIED,
               THE INPUT OF SUCH VALUES IS TERMINATED BY A LINE WHERE VALUE(7.1)  IS  GIVEN  AS  -100.  THIS
               TERMINATOR SHOULD BE OMITTED WHEN NO EXCLUDED REGIONS ARE GIVEN.


         LINE 8.  NUMBER OF REFLECTIONS
         -------------------------------
                       (ALL VALUES INPUT AS INTEGERS)

               IVALUE(8.1)     THE NUMBER OF REFLECTIONS TO BE SUPPLIED IN LINE SET 10.
1

                                      MANUAL FOR MULTIPATTERN PREPROFILE PROGRAM                           4.
         ...................................................................................................



         LINE SET 9.  DENOMINATORS OF MILLER INDICES FOR EACH PATTERN
         ------------------------------------------------------------
                       (ALL VALUES INPUT AS INTEGERS)

                       THE DENOMINATORS OF THE MILLER  INDICES  ARE  INCLUDED  TO  ELIMINATE  THE  NEED  FOR
               NON-INTEGRAL MILLER INDICES IN THE CASE OF  CELL  ENLARGEMENT.  THE  PROGRAM  INTERPRETS  THE
               MILLER    INDICES    SUPPLIED    IN    LINE    SET    9    AS:     %IVALUE(10.2)/IVALUE(9.1)];
               %IVALUE(10.3)/IVALUE(9.2)]; %IVALUE(10.4)/IVALUE(9.3)].
               IVALUE(9.1)     >
                               >
               IVALUE(9.2)     > THE DENOMINATORS OF THE MILLER INDICES.
                               >
               IVALUE(9.3)     >
                    THIS LINE MUST BE REPEATED FOR EACH PATTERN


         LINE SET 10.  REFLECTION DATA
         ------------------------------
                       (ALL VALUES INPUT AS INTEGERS)
                       FORMATTED INPUT IN FORMAT(5I8)

                       IVALUE(8.1) REFLECTIONS MUST BE SUPPLIED. THE DATA REQUIRED FOR EACH IS:-
               IVALUE(10.1)     COMPOSITE CODE NUMBER:
                              (10*PATTERN SERIAL NUMBER)+REFLECTION CODE NUMBER
                              FOR PATTERN NO.1 THE SERIAL NUMBER MAY BE OMITTED
                       ALLOWED VALUES OF THIS REFLECTION CODE NUMBER ARE:-
               1     REFLECTION ARISING SOLELY FROM NEUTRON NUCLEAR SCATTERING.
               2     REFLECTION ARISING SOLELY FROM NEUTRON MAGNETIC SCATTERING.
               3     REFLECTION ARISING FROM BOTH NEUTRON NUCLEAR AND MAGNETIC SCATTERING.
               4     X-RAY ALPHA-1 REFLECTION.
               5     X-RAY ALPHA-2 REFLECTION.
               IVALUE(10.2)     >                < H.
                                >                <
               IVALUE(10.3)     > MILLER INDICES < K.
                                >                <
               IVALUE(10.4)     >                < L.
               IVALUE(10.5)     MULTIPLICITY OF REFLECTION.


         LINE 11.  RANGE OF PROFILE DATA
         -------------------------------
                  FORMAT (3I8)
                       (ALL VALUES INPUT AS INTEGERS)

               IVALUE(11.1)     PROFILE TYPE INDICATOR.
                      WHEN IVALUE(11.1) IS GREATER THAN 10, THEN IT IS TAKEN  AS  THE  TWO  THETA  VALUE  IN
               UNITS OF HUNDREDTHS OF A DEGREE AT WHICH THE PROFILE DATA COMMENCES, AND  THE  DATA  MUST  BE
               SUPPLIED ACCORDING TO THE SPECIFICATIONS OF LINE SET 12A.  OTHERWISE,  THE  PROFILE  DATA  IS
               ASSUMED TO COMPLY WITH THE  SPECIFICATIONS  OF  LINE  SET  12B,  AND  THE  PRECISE  VALUE  OF
               IVALUE(11.1) IS UNIMPORTANT.

               IVALUE(11.2)     TWO THETA INTERVAL BETWEEN CONSECUTIVE PROFILE POINTS
                                IN UNITS OF HUNDREDTHS OF A DEGREE.
1

                                      MANUAL FOR MULTIPATTERN PREPROFILE PROGRAM                           5.
         ...................................................................................................





               IVALUE(11.3)     TWO THETA VALUE OF THE LAST PROFILE POINT IN UNITS
                               OF HUNDREDTHS OF A DEGREE.


         OPTIONAL LINE SET 12A.  PROFILE DATA
         -------------------------------------
                       TO BE SUPPLIED ONLY WHEN IVALUE(11.1) IS GREATER THAN 10.
                       (ALL VALUES INPUT AS DECIMAL NUMBERS)
                       FORMATTED INPUT IN FORMAT(10F8.0)  OR  (10(I2,F6.0))

                       TEN COUNTER READINGS MUST BE SUPPLIED ON EACH LINE, WITH THE  POSSIBLE  EXCEPTION  OF
               THE LAST LINE IN THE SET. THESE VALUES MUST BE SORTED ON TWO  THETA,  AND  MUST  BE  RECORDED
            FROM AN INITIAL TWO THETA VALUE OF IVALUE(11.1) IN CONSTANT STEPS OF IVALUE(11.2) UNTIL  A  TWO
            THETA VALUE OF IVALUE(11.3). THE VERY FIRST COUNTER  READING  INPUT  IS  ASSUMED  TO  BE  THAT
            MEASURED AT A TWO THETA VALUE OF IVALUE(11.1), THE SECOND AT IVALUE(11.1)  +  IVALUE(11.2),  AND
            THE NTH AT IVALUE(11.1) + (N-1)*IVALUE(11.2). THE LAST COUNTER READING INPUT IS THAT WHERE  TWO
            THETA EQUALS IVALUE(11.3). DATA FROM ILL, GRENOBLE IS NORMALLY SUPPLIED IN THIS FORMAT.
                 FOR DATA WITH INTENSITIES AS COUNTS PER COUNTER & NUMBER OF COUNTERS, THE LATTER
            OCCUPY THE FIRST TWO COLUMNS OF EVERY EIGHT FOR A DATA POINT.  DATA FROM THE D1A DIFFRACTOMETER
            AT I.L.L. GRENOBLE IS USUALLY OBTAINED IN THIS FORMAT.





         OPTIONAL LINE SET 12B.  PROFILE DATA
         -------------------------------------
                       TO BE SUPPLIED ONLY WHEN IVALUE(11.1) IS LESS THAN OR EQUAL TO 10.
                       (MIXED INTEGER AND DECIMAL INPUT)
                       FORMATTED INPUT IN FORMAT(I8,F8.0)



                       EACH LINE OF INPUT CONTAINS TWO VALUES:-

               IVALUE(12B.1)   TWO THETA VALUE IN UNITS OF HUNDREDTHS OF A DEGREE AT WHICH
                               A COUNT OF VALUE(12B.2) WAS RECORDED.

               IVALUE(12B.2)   THE COUNT MEASURED AT TWO THETA EQUALS IVALUE(12B.1).

                       THE DATA POINTS SUPPLIED MUST BE SORTED ON TWO THETA IN INCREASING  ORDER.  THE  LAST
               POINT INPUT IS THAT WHERE IVALUE(12B.1)  EQUALS  IVALUE(11.3).  DATA  FROM  AERE,  HARWELL  IS
               NORMALLY CONVERTED TO THIS FORMAT AFTER PROCESSING (BY THE 'COLLATE' PROGRAM).




1

                                      MANUAL FOR MULTIPATTERN PREPROFILE PROGRAM                           6.
         ...................................................................................................







                                   ******
                                   *PROF*
                                   ******



1                           MANUAL FOR MULTIPATTERN RIETVELD PROGRAM                 INDEX
                      ....................................................................
                      CHAPTER OR SECTION                                              PAGE
                      ..................                                              ....

                      STRUCTURE REFINEMENT FROM POWDER DATA                             1.
                      -------------------------------------
                      INTRODUCTION                                                      1.

                      STRUCTURE REFINEMENT PROGRAM                                      3.
                      ----------------------------
                      THE POSSIBLE PARAMETERS FOR A TRIAL STRUCTURE                     3.
                      FACILITIES OFFERED BY THE STRUCTURE REFINEMENT PROGRAM            4.
                      A NOTE ON THE FORMAT OF THE INPUT DATA                            5.

                      INPUT DATA FOR STRUCTURE REFINEMENT
                      -----------------------------------
                       LINE     SECTION

                        1       TITLE                                                   7.
                        2       OVERALL REFINEMENT TYPE                                 7.
                        3       TEXT FOR EACH PATTERN                            *      7.
                        4       REFINEMENT TYPE FOR EACH PATTERN                 *      7.
                        5       OUTPUT OPTIONS                                          8.
                        6       CONSTRAINTS INDICATORS                                  8.
                        7       STRUCTURE INDICATORS FOR EACH PATTERN            *      9.
                        8       REFINEMENT REGULATORS & WAVELENGTHS                     9.
                       (9)      PREFERRED ORIENTATION AXES                       *     10.
                      (10)      UNIQUE MAGNETIC AXES                             *     10.
                       11       SYMMETRY OPERATORS                               *     10.
                      (11A)     MAGNETIC VECTOR ROTATION MATRICES                *     11.
                       12       NEUTRON SCATTERING LENGTHS OR X-RAY DISPERSION TERMS   11.
                      (12A)     NEUTRON INCOHERENT SCATTERING CROSS SECTIONS           12.
                      (13)      NEUTRON MAGNETIC OR REAL X-RAY SCATTERING CURVES       12.
                      (13A)     SPIN QUANTUM NUMBERS FOR PARAMAGNETIC IONS             13.
                       14       ATOMIC PARAMETERS                                      13.
                       15       SCALE AND OVERALL TEMPERATURE FACTORS            *     15.
                       16       ZEROPOINT                                              15.
                       17       HALFWIDTH PARAMETERS                             *     15.
                       18       CELL PARAMETERS                                  *     15.
                      (19)      PREFERRED ORIENTATION & ASYMMETRY PARAMETERS     *     16.

                                REFINEMENT CODEWORDS                                   16.
                                SPECIFICATION OF CODEWORDS                             17.
                       20       CODEWORDS FOR ATOMIC PARAMETERS                        17.
                      (20A)     ANISTROPIC TEMPERATURE FACTORS                         18.
                       21       SCALE & OVERALL TEMPERATURE FACTORS              *     18.
                       22       ZEROPOINT                                              18.
                       23       HALFWIDTH PARAMETERS                             *     18.
                       24       CELL PARAMETERS                                  *     19.
                      (25)      PREFERRED ORIENTATION & ASYMMETRY PARAMETERS     *     19.

                                CONSTRAINTS                                            19.
                       26       'STRICT' CONSTRAINTS                                   21.
                      (27)      'CHEMICAL' CONSTRAINTS    (PRESENTLY UNAVAILABLE)      21.

                       28       PROFILE OUTPUT OPTIONS                                 31.

                        *  INDICATES LINE MAY NEED TO BE REPEATED FOR EACH PATTERN
1

                                      MANUAL FOR MULTIPATTERN RIETVELD PROGRAM                            1.
         ...................................................................................................



                                    STRUCTURE REFINEMENT FROM POWDER DATA
                                    -------------------------------------
         INTRODUCTION
         ------------
                       IN ORDER TO CALCULATE THE PRECISE NATURE OF A POWDER DIFFRACTION PROFILE,  A  CERTAIN
               AMOUNT OF BASIC INFORMATION IS REQUIRED,  NAMELY:-


               1) THE SPACE GROUP  AND UNIT CELL DIMENSIONS OF THE MATERIAL

               2) THE NUMBER AND TYPE OF ATOMS IN THE ASYMMETRIC UNIT.

               3) THE WAVELENGTH OF THE RADIATION EMPLOYED.

               4) THE POSITION IN THE UNIT CELL OF EACH OF THE ATOMS IN THE ASYMMETRIC UNIT.

               5) THE NATURE OF THE THERMAL VIBRATIONS OF THESE ATOMS.

               6) THE SHAPE, AS DETECTED BY THE MEASURING DEVICE, OF THE DIFFRACTED BEAMS DUE TO  INDIVIDUAL
                 REFLECTIONS FROM THE SAMPLE.

                       IN ORDER TO COMPARE OBSERVED AND  CALCULATED  POWDER  DIFFRACTION  PROFILES,  FURTHER
               INFORMATION IS REQUIRED:-

               7) A SCALE FACTOR RELATING THE ORDINATES ('COUNTER READINGS') OF THE PROFILES.

               8) THE RELATION BETWEEN THE ABSCISSA ('TWO THETA') VALUES ('ZERO POINT ERROR').

               9) THE AMOUNT AT ANY ABSCISSA VALUE OF THE OBSERVED POWDER DIFFRACTION PROFILE WHICH  IS  NOT
               DUE TO BRAGG  REFLECTION  FROM  THE  SAMPLE  ('BACKGROUND  COUNT').  ALLOWANCE  IS  MADE  FOR
               CALCULATION OF THE NEUTRON BACKGROUND ARISING FROM THE SAMPLE, AND HENCE  REFINEMENT  AGAINST
               THE TOTAL PROFILE RATHER THAN  THE  CONVENTIONAL    APPROACH  WHICH  DEALS  ONLY  WITH  BRAGG
               SCATTERING. THE TYPES OF SCATTERING CURRENTLY INCORPORATED IN THE  TOTAL  PROFILE  ARE  BRAGG
               REFLECTION, INCOHERENT AND PARAMAGNETIC SCATTERING, AND DISORDER  SCATTERING  DUE  TO  RANDOM
               SUBSTITUTIONAL DISORDER.

               10) THE CONDITIONS UNDER WHICH THE OBSERVED DATA WERE MEASURED; IN PARTICULAR, THE  INCREMENT
               IN THE ABSCISSA VALUE ('DELTA TWO  THETA')  BETWEEN  ADJACENT  MEASUREMENTS  OF  THE  PROFILE
               ORDINATE.

                       H. M. RIETVELD (J. APPLIED CRYSTALLOGRAPHY 1969, VOLUME 2, PP. 65  -  71)  HAS  SHOWN
               HOW THE INFORMATION IN CATEGORIES (1) - (10) ABOVE MAY BE USED TO IMPROVE  AN  INITIAL  MODEL
               FOR A CRYSTAL STRUCTURE IN AN EXACTLY ANALOGOUS WAY  TO  THAT  NOW  FAMILIAR  IN  THE  SINGLE
               CRYSTAL CASE. THE ESSENCE OF THE PROCEDURE IS TO ADJUST THE PARAMETERS OF  THE  MODEL,  WHICH
               FALL WITHIN THE COMPASS OF CATEGORIES (4) - (8), IN ORDER TO MINIMISE THE FUNCTION:-
                                   SUM W*(YOBS -YCALC)**2                                   (1)
               WHERE 'YOBS' AND 'YCALC' RESPECTIVELY ARE THE OBSERVED AND CALCULATED PROFILE INTENSITIES  AT
               A PARTICULAR TWO THETA VALUE, AND 'W' IS THE WEIGHT OF 'YOBS'. THE SUMMATION IS  CARRIED  OUT
               OVER ALL POINTS IN THE POWDER DIFFRACTION PROFILE.  THE  OVERALL  PROCEDURE  IS  THEREFORE  A
               STRAIGHTFORWARD APPLICATION OF THE  METHOD  OF  LEAST  SQUARES  REFINEMENT  TO  A  NON-LINEAR
               PROBLEM.

1

                                      MANUAL FOR MULTIPATTERN RIETVELD PROGRAM                          2.
         ...................................................................................................




                       COMPUTATIONALLY, THE METHOD DESCRIBED BY RIETVELD MAY BE DIVIDED INTO TWO PARTS:-

               STEP (A)
               THE DETERMINATION, FROM INFORMATION IN CATEGORIES (1), (3), (6),  (8),  AND  (10),  OF  WHICH
               REFLECTIONS MAY CONTRIBUTE TO EACH OF THE OBSERVED POINTS IN THE POWDER DIFFRACTION  PROFILE.
               THIS IS THE 'PRE-PROFILE' STEP, AND IS USUALLY CARRIED  OUT  SEPARATELY  FROM  LEAST  SQUARES
               REFINEMENT SINCE IT INVOLVES CONSIDERABLE REORGANISATION OF DATA WHICH MUST BE  REGROUPED  IN
               THE MOST CONVENIENT FORM.

               STEP (B)
               THE REFINEMENT OF THE STRUCTURE USING THE DATA PREPARED IN  STEP  (A).  IT  IS  NECESSARY  TO
               CALCULATE THE INTENSITY EXPECTED AT EACH POINT IN THE OBSERVED  POWDER  DIFFRACTION  PROFILE,
               AND ALSO THE DERIVATIVES OF THAT INTENSITY WITH RESPECT TO THE PARAMETERS  OF  THE  STRUCTURE
               FALLING IN CATEGORIES (4) - (8).

                       THE LEAST SQUARES EQUATIONS USED DURING REFINEMENT ARE CONSTRUCTED  AS  FOLLOWS.  LET
               THE NUMBER OF PARAMETERS BEING REFINED (VARIABLES) BE 'N', AND THE PARAMETERS  THEMSELVES  BE
               REPRESENTED BY THE SYMBOL 'P'. THERE ARE THEN A SERIES OF VARIBLES 'P(1)' TO 'P(N)' AND  EACH
               OF THESE MUST BE ASSIGNED A NUMBER BETWEEN 1 AND 'N'  WHICH  SPECIFIES  WHICH  OF  THE  LEAST
               SQUARES EQUATIONS REFERS TO THAT PARAMETER. FOR EACH  PROFILE  POINT,  CONTRIBUTIONS  TO  THE
               MATRIX EQUATION:-

                    A*S = D                                                                 (2)

               MUST BE  EVALUATED.  'A'  IS  A  SYMMETRIC,  POSITIVE  DEFINITE  MATRIX  OF  ORDER  'N',  THE
               ELEMENTS,'A(I,J)', OF WHICH ARE:-

                    SUM W*(D YCALC/D P(I))*D YCALC/D P(J)                                   (3)

               WHERE 'D YCALC/D P(I)' IS THE PARTIAL DERIVATIVE OF THE  CALCULATED  PROFILE  INTENSITY  WITH
               RESPECT TO PARAMETER 'P(I)'. 'D' IS A COLUMN VECTOR OF ORDER 'N'  THE  ELEMENTS,  'D(I)',  OF
               WHICH ARE:

                    SUM W*(D YCALC/D P(I))*(YOBS - YCALC*SCALE)                             (4)

               AND 'S' IS A COLUMN VECTOR WHICH IS TO BE CALCULATED AFTER THE INVERSION OF THE  MATRIX  'A'.
               THE SUMMATIONS INDICATED ARE CARRIED OUT OVER  ALL  PROFILE  POINTS.  THE  ELEMENTS  OF  'S',
               'S(I)', ARE THE SHIFTS WHICH ARE TO BE APPLIED TO THE REFINED PARAMETERS 'P(I)' IN  ORDER  TO
               YIELD BETTER ESTIMATES OF THEIR TRUE VALUE. A MORE COMPLETE DISCUSSION OF THE  LEAST  SQUARES
               METHOD IS GIVEN BY J. S. ROLLETT IN 'COMPUTING METHODS IN CRYSTALLOGRAPHY', PERGAMMON  PRESS,
               1965, PP. 32 - 37.

                       THE FOLLOWING DOCUMENTATION DESCRIBES COMPUTER PROGRAMS  WRITTEN  IN  FORTRAN  4  AND
               PERFORMING THE FUNCTIONS REQUIRED FOR STEPS (A) AND (B) ABOVE. THESE PROGRAMS  ARE  EXTENSIVE
               MODIFICATIONS OF THOSE ORIGINALLY DESCRIBED BY RIETVELD AND LATER MODIFIED BY A. W. HEWAT  AT
               AERE HARWELL.

1

                                      MANUAL FOR MULTIPATTERN RIETVELD PROGRAM                            3.
         ...................................................................................................


                                    STRUCTURE REFINEMENT PROGRAM
                                    ----------------------------


         THE POSSIBLE PARAMETERS FOR A TRIAL STRUCTURE
         ---------------------------------------------
                       THE PARAMETERS NEEDED TO CONSTRUCT A MODEL FOR A CRYSTAL STRUCTURE MAY, IN  THE  CASE
               OF POWDER DIFFRACTION DATA, INCLUDE THE FOLLOWING:-

               (A) OVERALL PARAMETERS:
                       OVERALL PARAMETERS ARE THOSE WHICH APPLY TO THE STRUCTURE AS A WHOLE,  AND  NOT  JUST
               TO INDIVIDUAL ATOMS. THOSE WHICH MAY BE SPECIFIED ARE:-

               1) THE WAVELENGTH OF THE DIFFRACTED RADIATION.

               2) THE UNIT CELL DIMENSIONS OF THE DIFFRACTING MATERIAL, EITHER AS 'A',  'B',  'C',  'ALPHA',
               'BETA', AND 'GAMMA' IN ANGSTROMS AND DEGREES, OR AS THE COMPONENTS OF THE  RECIPROCAL  METRIC
               TENSOR, 'AA', 'BB', 'CC', 'BC', 'AC', AND 'AB', WHERE THE RECIPROCAL D-SPACING IS  GIVEN   IN
               ANGSTROMS**-1  BY:

                    D* = SQRT( AA*H*H +BB*K*K +CC*L*L +BC*L*K +AC*L*K +AB*H*K)              (5)
               WHERE AA = A"*A"; BB = B"*B"; CC = C"*C"; BC = 2*B"*C"*COS(ALPHA"); AC =  2*A"*C"*COS(BETA");
               AND BC = 2*B"*C"*COS(GAMMA"); THE  DOUBLE  PRIME  (")  IS  USED  TO  DENOTE  RECIPROCAL  CELL
               PARAMETERS. THE CELL PARAMETERS ACTUALLY REFINED ARE THOSE FORMED BY  THE  RECIPROCAL  METRIC
               TENSOR.

               3) THE SCALE FACTOR RELATING THE OBSERVED AND CALCULATED DIFFRACTION PROFILES.

               4) THE OVERALL ISOTROPIC TEMPERATURE FACTOR.

               5) THE 'HALFWIDTH PARAMETERS' 'U', 'V', AND 'W' WHICH ARE  REQUIRED  TO  CALCULATE  THE  FULL
               WIDTH (HK) OF THE DIFFRACTED PEAK AT HALF HEIGHT FROM THE EQUATION:

                    HK = SQRT U*(TANTHETA)**2 +V*(TANTHETA) +W                              (6)
               WHERE 'TANTHETA' IS THE TANGENT OF THE BRAGG ANGLE.

                       THE USUAL PEAK SHAPE  CORRECTION  APPLIED  IS  THE  GAUSSIAN  FUNCTION  SUGGESTED  BY
               RIETVELD:
                (2*SQRT(LN 2))/(HK*SQRT(PI)) *EXP -4*(LN 2)* (2THETA I -2THETA K )/HK **2   (7)
               WHERE '2THETA I ' IS THE PROFILE ORDINATE AT POINT  I  CORRECTED FOR THE EFFECT OF  ZEROPOINT
               ERROR, AND 2THETA K  IS THE TWO THETA VALUE EXPECTED FOR REFLECTION  K .
                        AN ALTERNATIVE FORMULATION, WHICH MAY BE OF USE FOR X-RAY  PROFILES  IS  THE  CAUCHY
               (LORENTZ) FUNCTION:

                    1/ 1 +4* (2THETA I -2THETA K )/HK **2                                   (8)

               6) CORRECTION FACTORS TO THE FUNCTION DESCRIBING THE PEAK SHAPE WHICH ACCOUNT  FOR  PREFERRED
               ORIENTATION IN THE SAMPLE AND ASYMMETRY IN THE PEAK SHAPE ITSELF.
                       THE PREFERRED ORIENTATION CORRECTION TAKES THE FORM:-
                                   EXP(-G*ALPHA**2)                                         (9)
               WHERE 'ALPHA' IS THE ACUTE ANGLE BETWEEN THE SCATTERING VECTOR AND THE PREFERRED  ORIENTATION
               AXIS, AND 'G' IS THE ASYMMETRY PARAMETER. THE CORRECTION ASSUMES A GAUSSIAN  DISTRIBUTION  OF
               THE PREFERRED ORIENTATION AXES OF THE INDIVIDUAL CRYSTALLITES ABOUT THE AXIS OF THE SAMPLE.
1

                                      MANUAL FOR MULTIPATTERN RIETVELD PROGRAM                            4.
         ...................................................................................................


                       THE ASYMMETRY CORRECTION TAKES THE FORM:
                    (1- P*(2THETA I -2THETA K )**2 *S/TANTHETA)                            (10)
               WHERE  'S'  IS  A  QUANTITY  OF  UNIT  MAGNITUDE,  BUT    WHICH    TAKES    THE    SIGN    OF
               '(2THETA I -2THETA K )', AND 'P' IS THE ASYMMETRY PARAMETER.

               (B) ATOMIC PARAMETERS:
                       ATOMIC PARAMETERS MAY BE SPECIFIED INCLUDE:-

               1) THE ATOMIC SCATTERING FACTOR WHICH MAY INCLUDE BOTH NUCLEAR AND  MAGNETIC  SCATTERING  FOR
               NEUTRON DIFFRACTION, OR REAL AND ANOMALOUS SCATTERING FOR X-RAY DIFFRACTION. IF  THE  NEUTRON
               BACKGROUND IS TO BE CALCULATED, IT IS ALSO NECESSARY TO  SUPPLY  VALUES  FOR  THE  INCOHERENT
               SCATTERING CROSS SECTIONS AND POSSIBLY THE SPIN QUANTUM NUMBERS  OF  PARAMAGNETIC  IONS.  THE
               INCOHERENT BACKGROUND IS CALCULATED BY SUMMATION OF THE INCOHERENT SCATTERING CROSS  SECTIONS
               OVER ALL THE ATOMS IN THE UNIT CELL, AND THE PARAMAGNETIC SCATTERING FROM  RANDOMLY  ORIENTED
               PARAMAGNETS BY SUMMATION OF THE QUANTITY:-
                    (8*PI/3)*S*(S+1)* F*(E*E*GAMMA)/(M*C*C) **2                            (11)
               WHERE 'S' IS THE SPIN QUANTUM NUMBER, 'F' IS THE INTERPOLATED  MAGNETIC  FORMFACTOR,  'E'  IS
               THE CHARGE ON AN ELECTRON, 'M' IS THE MASS OF THE ELECTRON, 'GAMMA' IS  THE  MAGNETIC  MOMENT
               OF THE NEUTRON, AND 'C' IS THE  VELOCITY  OF  LIGHT.  ADDITIONAL  SCATTERING  DUE  TO  RANDOM
               SUBSTITUTIONAL DISORDER IS AUTOMATICALLY TAKEN INTO ACCOUNT FOR ATOMS RESIDING  IN  PARTIALLY
               OCCUPIED SITES ACCORDING TO THE FORMULA:-
                    4*PI*B*B*Q*(1-Q)                                                       (12)
               WHERE 'B' IS THE ATOMIC SCATTERING LENGTH, AND 'Q' THE SITE OCCUPATION FACTOR.

               2) THE SITE OCCUPATION FACTOR, WHICH MAY REFLECT  GENUINE  DEFECTS  IN  THE  OCCUPANCY  OF  A
               PARTICULAR ATOMIC SITE, OR, MORE USUALLY, IS EMPLOYED TO  PRODUCE  CORRECT  STRUCTURE  FACTOR
               CONTRIBUTIONS FROM ATOMS SITUATED ON CRYSTALLOGRAPHIC SYMMETRY ELEMENTS.

               3) THE COORDINATES WITHIN THE UNIT CELL EXPRESSED RELATIVE  TO  THE  POSSIBLY  NON-ORTHOGONAL
               UNIT CELL AXES IN TERMS OF FRACTIONS OF THE UNIT CELL EDGE.

               4) THE THERMAL VIBRATION PARAMETERS, WHICH  MAY  DESCRIBE  EITHER  ISOTROPIC  OR  ANISOTROPIC
               VIBRATION. THE ISOTROPIC TEMPERATURE CORRECTION TO THE CALCULATED STRUCTURE FACTOR  IS:-
                    EXP- B*(SINE THETA/LAMBDA)**2                                          (13)
               WHERE 'B' IS THE TEMPERATURE FACTOR EXPRESSED IN (ANGSTROM)**2.  THE  ANISOTROPIC  CORRECTION
               FOR REFLECTION 'HKL' IS:-
               EXP- H*H*B(11) +K*K*B(22) +L*L*B(33) +2*H*K*B(12) +2*H*L*B(13) +2*K*L*B(23) (14)
               WHERE 'B(11)' TO 'B(23)' ARE THE UNIQUE ELEMENTS  OF  THE  SYMMETRIC  TENSOR  DESCRIBING  THE
               THERMAL VIBRATION ELLIPSOID.

               5) THE COMPONENTS OF THE MAGNETIC  VECTOR  ALONG  EACH  OF  THE  UNIT  CELL  AXES.  IF  THESE
               PARAMETERS ARE SUPPLIED, ADDITIONAL SYMMETRY INFORMATION IS REQUIRED IN  ORDER  TO  DETERMINE
               THE DIRECTION OF THE MAGNETIC VECTOR FOR EACH OF THE MAGNETIC ATOMS IN  THE  UNIT  CELL.  THE
               CALCULATION OF THE MAGNETIC SCATTERING  CROSS  SECTION  MAY  BE  GREATLY  SIMPLIFIED  IF  THE
               STRUCTURE POSSESES EITHER UNIAXIAL OR CUBIC SPIN CONFIGURATIONAL  SYMMETRY  (SEE  G.  SHIRANE
               ACTA CRYSTALLOGRAPHICA 1959, VOLUME 12, PP 282-287).


         FACILITIES OFFERED BY THE STRUCTURE REFINEMENT PROGRAM
         ------------------------------------------------------
                       ALL  OF  THE  STRUCTURE  PARAMETERS  DESCRIBED  ABOVE,  WITH  THE  EXCEPTION  OF  THE
               SCATTERING LENGTH AND RADIATION WAVELENGTH, MAY BE REFINED. FOR NEUTRON DIFFRACTION,  IN  THE
               ABSENCE OF MAGNETIC SCATTERING, THE ATOMIC SCATTERING LENGTH MAY BE  EFFECTIVELY  REFINED  BY
               VARYING THE SITE OCCUPATION PARAMETER WHICH IS COMPLETELY CORRELATED WITH IT.
1

                                      MANUAL FOR MULTIPATTERN RIETVELD PROGRAM                            5.
         ...................................................................................................



                       THE NEUTRON BACKGROUND DUE TO THE SAMPLE, AND  ARISING  FROM  INCOHERENT  SCATTERING,
               SCATTERING  BY  RANDOMLY  ORIENTED  PARAMAGNETS,  AND  DISORDER  SCATTERING  DUE  TO   RANDOM
               SUBSTITUTIONAL DISORDER MAY BE CALCULATED, AND REFINEMENT MAY  BE  CARRIED  OUT  AGAINST  THE
               TOTAL POWDER PROFILE DUE TO THE SAMPLE.
                       SYMMETRY RELATIONS AMONG THE ATOM PARAMETERS MAY BE MAINTAINED DURING  REFINEMENT  BY
               MANIPULATION OF REFINEMENT CODEWORDS DESCRIBED BELOW.
                       TWO TYPES OF  CONSTRAINED  REFINEMENT  MAY  BE  CARRIED  OUT.  THE  FIRST  OF  THESE,
               INVOLVING 'STRICT' CONSTRAINTS,  ALLOWS  SPECIFICATION  OF  AN    EQUATION  RELATING  VARIOUS
               PARAMETERS, ALL BUT ONE OF WHICH MUST BE REFINED. THE TERMS IN THE EQUATION  MAY  NOT  EXCEED
               QUADRATIC IN ORDER. THE  SECOND  TYPE  OF  CONSTRAINT,  'SLACK'  OR  'CHEMICAL  CONSTRAINTS',
               ALLOWS RESTRICTIONS TO BE PLACED, WITH A  RELIABILITY  SPECIFIED  BY  THE  USER,  ON  VARIOUS
               DERIVED QUANTITIES INCLUDING INTERATOMIC DISTANCES, THE ANGLES SUBTENDED AT A CENTRAL ATOM BY
               LINES JOINING IT TO TWO OTHERS (BOND ANGLES), THE ANGLE BETWEEN TWO  VECTORS  DEFINED  BY TWO
               PAIRS OF ATOMS AND THE DIHEDRAL ANGLE BOUNDED BY A GROUP OF FOUR ATOMS,(NO LONGER AVAILABLE).
                       VARIOUS OPTIONAL FORMS OF OUTPUT OF STRUCTURE FACTORS  AND  PROFILE  INTENSITIES  ARE
               AVAILABLE, INCLUDING THAT REQUIRED FOR FOURIER OR DIFFERENCE FOURIER CALCULATIONS.
                       THE PROGRAM IS PRIMARILY INTENDED TO DEAL WITH NEUTRON POWDER  DIFFRACTION DATA,  BUT
               THERE IS A LIMITED CAPABILITY FOR X-RAY POWDER REFINEMENT.



         A NOTE ON THE FORMAT OF THE INPUT DATA
         --------------------------------------
                       ALL OF THE INPUT DATA IS READ IN A 'FREE FORMAT' MODE, IN WHICH  ALL  NUMERIC  VALUES
               MUST BE TERMINATED BY  AT  LEAST  ONE  SPACE  CHARACTER.  THERE  ARE,  HOWEVER,  RESTRICTIONS
               GOVERNING THE INPUT OF ALPHANUMERIC DATA SUCH  AS  THAT  INPUT  AS  ATOM  IDENTIFIERS.  THESE
               RESTRICTIONS ARE SPECIFIED WHERE THEY OCCUR.  CERTAIN  DEFINED  VALUES  ARE  EXPECTED  TO  BE
               INTEGERS AND SHOULD THEREFORE NOT INCLUDE DECIMAL POINTS, BUT  THERE  IS  NO  REQUIREMENT  TO
               INSERT A DECIMAL POINT IN A DECIMAL VALUE UNLESS THERE ARE FIGURES FOLLOWING IT.
                       FOR THE MOST PART, THE PROGRAM SCANS ONE LINE OF INPUT DATA AT A TIME  SEARCHING  FOR
               A DEFINITE NUMBER OF PUNCHED VALUES. (THIS IS DEFINED AS 'INPUT  MODE  0').  IF  NOT  ALL  OF
               THESE VALUES ARE FOUND (THAT IS NOT ALL OF THEM HAVE BEEN PUNCHED), THEN THOSE NOT  SPECIFIED
               ARE SET TO ZERO. HENCE, IF THE PROGRAM EXPECTS TO READ FIVE DECIMAL VALUES  FROM  A  LINE  OF
               INPUT DATA, THE FOLLOWING REPRESENTATIONS ARE EQUIVALENT:-

               1 2
               1 2 0 0 0
               1.0 2.0 0.0 0.0 0.0

               AS ARE THE COMBINATIONS POSSIBLE WITH OR WITHOUT DECIMAL POINTS:-
               1 2.0
               ETC.

               IN THE ABOVE EXAMPLE, NOTE  THAT THE SPECIFICATION OF THE FIFTH VALUE, BUT NOT THE  THIRD  OR
               FOURTH, WOULD REQUIRE ONE OF THE FOLLOWING:-

               1 2 0 0 3
               1.0 2.0 0.0 0.0 3.0

                       AN ALTERNATIVE MODE OF INPUT, WHICH IS USED FOR MAGNETIC SCATTERING FACTORS OR  ATOMS
               REQUIRING MAGNETIC VECTOR COMPONENETS OR ANISOTROPIC TEMPERATURE FACTORS, ALLOWS THE DATA  TO
               BE SPREAD OVER MORE THAN ONE LINE OF INPUT. IN THIS CASE, ALL THE VALUES TO BE INPUT MUST  BE
               PUNCHED, EVEN IF THEY ARE ZERO. THE PROGRAM WILL CONTINUE TO INPUT VALUES UNTIL THE  REQUIRED
1

                                      MANUAL FOR MULTIPATTERN RIETVELD PROGRAM                            6.
         ...................................................................................................



               NUMBER OF THESE HAS BEEN READ. (THIS IS DEFINED AS 'INPUT MODE 1').  IF  IT  IS  REQUIRED  TO
               INPUT THREE VALUES IN INPUT MODE 1, THE FOLLOWING EXAMPLES ARE EQUIVALENT:-

               1 2 0

               1
               2
               0

               1                        2
                       0

                       THE USE OF INPUT MODE 1 IS RESTRICTED TO THOSE  CASES  WHERE  NOT  ALL  THE  REQUIRED
               VALUES CAN BE PUNCHED ON ONE LINE OWING TO THE LIMIT OF 80 CHARACTERS  PER  LINE  IN  FORTRAN
               DATA, OR WHERE A DEFINITE NUMBER OF GENERALLY NON-ZERO VALUES MUST BE INPUT. IN THE  MAJORITY
               OF CASES IT IS NOT NECESSARY TO PUNCH ALL OF THE VALUES WHICH MAY BE INSERTRED ON A  LINE  OF
               DATA.





                     REFINEMENT OF DATA CONTAINING MORE THAN ONE PATTERN.
                     ----------------------------------------------------

               DATA CONTAINING MORE THAN ONE DIFFRACTION PATTERN MAY ARISE IN A NUMBER OF WAYS; FOR EXAMPLE:-

               1) HIGH TEMPERATURE STUDIES IN WHICH THE SAMPLE ENVIRONMENT (CONTAINER OR FURNACE) GIVES A
                  DIFFRACTION PATTERN.

               2) SAMPLE WHICH ALMOST INVARIABLY CONTAIN A SECONDARY PHASE

               3) EXPERIMENTS IN WHICH THE PREFERRED ORIENTATION OF PLATE-LIKE CRYSTALLITES IS REDUCED BY
                  MIXING THE SAMPLE WITH A POWDER - USUALLY ONE GIVING RELATIVELY FEW BRAGG PEAKS.

               4) GAS ADSORPTION STUDIES WHERE THE SUBSTRATE GIVES A PATTERN.
                SECONDARY EXPERIMENTS ARE USUALLY PERFORMED IN ORDER TO SUBTRACT
               THE SUBSIDIARY PATTERN(S). HOWEVER, THIS IS NOT ALWAYS POSSIBLE AND IT IS NECESSARY TO
               REMOVE FROM THE DATA THOSE REGIONS OF THE SCAN THAT CONTAIN OVERLAPPING
               PEAKS FROM BOTH PHASES. THIS VERSION OF THE RIETVELD METHOD, ON THE OTHER HAND,
               ALLOWS CALCULATION AND REFINEMENT OF THE SUBSIDIARY,AS WELL AS THE PRINICPAL,
               PATTERN.
               THE APPLICATIONS AND LIMITATIONS OF THIS METHOD ARE DISCUSSED MORE FULLY
               IN AERE REPORT MPD/NBS/.../ (1980) P.J.BENDALL & M.W.THOMAS


1

                                      MANUAL FOR MULTIPATTERN RIETVELD PROGRAM                            7.
         ...................................................................................................

                                    INPUT DATA FOR STRUCTURE REFINEMENT
                                    -----------------------------------
         LINE 1.  TITLE
         ---------------
                       A TITLE CONSISTING OF UP TO 80 CHARACTERS  WHICH  WILL  BE  USED  AS  A  HEADING  FOR
               PRINTED OUTPUT.

         LINE 2.  OVERALL REFINEMENT TYPE
         ---------------------------------
                       (ALL VALUES INPUT AS INTEGERS)
               IVALUE(2.1)     NUMBER OF REFINEMENT CYCLES.
                               IF SPECIFIED AS ZERO, THEN STRUCTURE FACTORS AND PROFILE INTENSITIES WILL BE
                               CALCULATED  AND MAY BE OUTPUT.
               IVALUE(2.2)     NUMBER OF PATTERNS
               IVALUE(2.3)     NUMBER OF PARAMETERS TO BE REFINED.
               IVALUE(2.4)     THE TWO THETA VALUE, IN UNITS OF HUNDREDTHS OF A
                               DEGREE, BELOW WHICH THE ASYMMETRY CORRECTION
                               WILL BE APPLIED. A NON-ZERO VALUE REQUIRES
                               THE INCLUSION OF OPTIONAL VALUES (19.2) AND (25.2).
               IVALUE(2.5)     A NON-ZERO VALUE LEADS TO CALCULATION OF THE
                               NEUTRON BACKGROUND, AND HENCE TO REFINEMENT
                               AGAINST THE TOTAL PROFILE. THIS OPTION REQUIRES
                               INPUT OF OPTIONAL LINE 10A, AND POSSIBLY
                               OPTIONAL LINE 11A.

          LINE SET 3.  TEXT FOR EACH PATTERN
          -----------------------------------
                       A TITLE CONSISTING OF UP TO 16 CHARACTERS WHICH WILL BE USED AS A HEADING
                      ON PRINTED OUTPUT. THIS LINE MUST BE REPEATED FOR EACH PATTERN.

          LINE SET 4.  REFINEMENT TYPE FOR EACH PATTERN
          ----------------------------------------------
                            (ALL VALUES INPUT AS INTEGERS)

               IVALUE(4.1)     REFINEMENT TYPE INDICATOR.
               ALLOWED VALUES OF THIS PARAMETER ARE:-
               0     NEUTRON NUCLEAR SCATTERING ONLY.
               1     NEUTRON NUCLEAR SCATTERING PLUS MAGNETIC SCATTERING CALCULATED FROM
                     THE GENERAL FORMULA GIVEN BY O. HALPERN AND
                     M. H. JOHNSON (PHYSICAL REVIEW 1939, VOLUME 55, P. 898)
               2     NEUTRON NUCLEAR SCATTERING PLUS MAGNETIC SCATTERING CALCULATED FROM
                     THE SPECIAL FORMULA FOR UNIAXIAL CONFIGURATION SPIN SYMMETRY
                     (SHIRANE, LOC.CIT. THIS OPTION REQUIRES THE INCLUSION
                     OF OPTIONAL LINE 10.)
               3     NEUTRON NUCLEAR SCATTERING PLUS MAGNETIC SCATTERING CALCULATED FROM
                     THE SPECIAL FORMULA FOR CUBIC CONFIGURATIONAL SPIN SYMMETRY
                     (SHIRANE, LOC. CIT.).
               4     X-RAY SCATTERING USING THE GAUSSIAN PEAK SHAPE FUNCTION.
               5     X-RAY SCATTERING USING THE CAUCHY PEAK SHAPE FUNCTION.
               6     X-RAY SCATTERING USING THE MODIFIED LORENTZIAN PEAK SHAPE FUNCTION
               7     X-RAY SCATTERING USING THE INTERMEDIATE LORENTZIAN PEAK SHAPE FUNCTION

               IVALUE(4.2)     A NON-ZERO VALUE LEADS TO THE APPLICATION OF THE PREFERRED
                               ORIENTATION CORRECTION, AND REQUIRES THE INCLUSION OF OPTIONAL
                               LINE 9 AND OPTIONAL VALUES (19.1) AND (25.1)
1

                                      MANUAL FOR MULTIPATTERN RIETVELD PROGRAM                            8.
         ...................................................................................................


         LINE 5.  OUTPUT OPTIONS
         ------------------------
                       (ALL VALUES INPUT AS INTEGERS)

               IVALUE(5.1)     A NON-ZERO VALUE PRODUCES OUTPUT OF THE FINAL STRUCTURE
                               PARAMETERS TO THE 'CARD PUNCH' FILE. THE PUNCHED OUTPUT
                               CONSISTS OF THE DATA WHICH SHOULD BE SUPPLIED FOR LINE
                               SET 14, LINE 15, LINE 16, LINE 17, AND OPTIONAL
                               LINE 18.

               IVALUE(5.2)     A NON-ZERO VALUE PRODUCES 'GRAPHICAL' OUTPUT OF
                               THE OBSERVED, CALCULATED, AND DIFFERENCE PROFILES
                               TO THE LINE PRINTER FILE, AND REQUIRES THE INCLUSION
                               OF OPTIONAL LINE 28.

               IVALUE(5.3)     A NON-ZERO VALUE PRODUCES OUTPUT OF THE FINAL
                               OBSERVED AND CALCULATED PEAK INTENSITIES
                               AND PROFILE INTENSITIES TO THE LINE PRINTER FILE.

               IVALUE(5.4)     STRUCTURE FACTOR OUTPUT KEY.
               ALLOWED VALUES OF THIS PARAMETER ARE:-
               0     NO ACTION.
               1     OUTPUT THE FINAL OBSERVED AND CALCULATED PEAK INTENSITIES
                     TO THE 'CARD PUNCH' FILE.
               2     OUTPUT THE FINAL OBSERVED AND CALCULATED PROFILE INTENSITIES
                     TO THE 'CARD PUNCH' FILE IN A FORM SUITABLE FOR INPUT TO THE
                     ASSOCIATED GRAPH PLOTTING PROGRAM.

               IVALUE(5.5)    A NON-ZERO VALUE PRODUCES OUTPUT OF THE FINAL
                              VARIANCE-COVARIANCE MATRIX TO THE 'CARD PUNCH' FILE.

               IVALUE(5.6)    CORRELATION MATRIX OUTPUT KEY.
               ALLOWED VALUES OF THIS PARAMETER ARE:-
               LESS THAN    0     OUTPUT THE FINAL CORRELATION MATRIX TO THE LINE
                                  PRINTER FILE.
                            0     NO ACTION.
               GREATER THAN 0     OUTPUT THE CORRELATION COEFFICIENTS GREATER THAN
                                  IVALUE(5.6)/100 TO THE LINE PRINTER FILE.

               IVALUE(5.7)     A NON-ZERO VALUE PRODUCES OUTPUT OF A BINARY FILE
                               CONTAINING THE FINAL OBSERVED AND CALCULATED STRUCTURE
                               FACTORS FOR PATTERN IVALUE(5.7) IN A FORM SUITABLE
                               FOR INPUT TO THE ASSOCIATED FOURIER PROGRAM.
         LINE 6.  CONSTRAINTS INDICATORS
         --------------------------------
                       (ALL VALUES INPUT AS INTEGERS)
               IVALUE(6.1)     A NON- ZERO VALUE INDICATES THAT IVALUE(6.1) 'STRICT'
                               CONSTRAINT FUNCTION(S) WILL BE SUPPLIED, AND REQUIRES
                               THE INCLUSION OF OPTIONAL LINE SET 26.

               IVALUE(6.2)     'CHEMICAL' CONSTRAINTS KEY. (THIS OPTION IS CURRENTLY UNAVAILABLE).
               ALLOWED VALUES OF THIS PARAMETER ARE:-
1

                                      MANUAL FOR MULTIPATTERN RIETVELD PROGRAM                            9.
         ...................................................................................................

               -1    APPLY 'CHEMICAL' CONSTRAINTS ACCORDING TO THE INSTRUCTIONS
                     STORED IN A BINARY FILE CREATED IN A PREVIOUS RUN.
                0    NO ACTION.
                1    APPLY 'CHEMICAL' CONSTRAINTS AS DETAILED BY THE DATA SUPPLIED
                     IN OPTIONAL LINE SET 27.


         LINE SET 7.  STRUCTURE INDICATORS FOR EACH PATTERN
         --------------------------------------------------
                       (ALL VALUES INPUT AS INTEGERS)
               IVALUE(7.1)      NON  CENTROSYMMETRIC KEY.
               ALLOWED VALUES OF THIS PARAMETER ARE:-
               1     THE STRUCTURE IS NON-CENTROSYMMETRIC.
               2     THE STRUCTURE IS CENTROSYMMETRIC.

               IVALUE(7.2)     THE NUMBER OF SPACEGROUP SYMMETRY OPERATORS WHICH
                               DEFINE THE NUCLEAR STRUCTURE. EXCLUDE THE IDENTITY
                               OPERATION (X,Y,Z), OPERATIONS RELATED BY A CENTRE
                               OF SYMMETRY AND THOSE DUE TO CENTRED CELLS. THE
                               MAXIMUM NUMBER OF OPERATORS WHICH MAY BE SUPPLIED
                               IS THEREFORE 23.

               IVALUE(7.3)     THE NUMBER OF ATOMS CONTAINED IN THE ASYMMETRIC UNIT
                               OF THE STRUCTURE.

               IVALUE(7.4)     THE NUMBER OF DIFFERENT TYPES OF ATOM WHICH GIVE RISE
                               TO NEUTRON NUCLEAR SCATTERING OR TO X-RAY
                               ANOMALOUS DISPERSION.

               IVALUE(7.5)     THE NUMBER OF DIFFERENT TYPES OF ATOM WHICH GIVE RISE
                               TO NEUTRON MAGNETIC OR NORMAL X-RAY SCATTERING,
                               OR TO NEUTRON PARAMAGNETIC BACKGROUND SCATTERING.

               IVALUE(7.6)     (APPLICABLE ONLY WHEN THE STRUCTURE GIVES RISE TO
                               NEUTRON MAGNETIC SCATTERING)
                               THE NUMBER OF ROTATION MATRICES ASSOCIATED WITH EACH
                               OF THE IVALUE(7.2) SPACEGROUP SYMMETRY OPERATORS.
                               THESE ROTATION MATRICES ARE APPLIED TO THE MAGNETIC
                               VECTORS IN ORDER TO TRANSFORM THEM FROM THE REFERENCE
                               POSITION IN THE ASYMMETRIC UNIT TO OTHER SITES WHICH
                               ARE STRUCTURALLY, BUT NOT NECESSARILY MAGNETICALLY,
                               RELATED. WHEN IVALUE(7.6) IS NON-ZERO, OPTIONAL
                               LINE SET 11A MUST BE SUPPLIED.


         LINE 8.  REFINEMENT REGULATORS AND WAVELENGTH(S)
         -------------------------------------------------
                       (ALL VALUES ARE INPUT AS DECIMAL NUMBERS)
               VALUE(8.1)     THE REFINEMENT WILL BE TERMINATED IF ALL OF THE SHIFTS
                              IN THE REFINED PARAMETERS ARE LESS THAN THE PRODUCT OF
                              VALUE(8.1) AND THE STANDARD DEVIATIONS OF THE PARAMETERS.
                              A TYPICAL VALUE IS 0.3;
               VALUE(8.2)     THE NEUTRON WAVELENGTH, OR FOR X-RAY REFINEMENT
                              THE WAVELENGTH OF THE ALPHA-1 RADIATION.
               OPTIONAL VALUE(8.3)     TO BE SUPPLIED ONLY WHEN X-RAY REFINEMENT IS CARRIED OUT.
1

                                      MANUAL FOR MULTIPATTERN RIETVELD PROGRAM                           10.
         ...................................................................................................


                                       THE WAVELENGTH OF THE ALPHA-2 RADIATION.
                       THE REMAINING FOUR VALUES SPECIFY THE FRACTION OF THE CALCULATED SHIFT  WHICH  IS  TO
               BE APPLIED TO THE TYPE OF PARAMETERS SPECIFIED BELOW. IF ANY OF THESE RELAXATION  FACTORS  IS
               INPUT AS ZERO, IT IS IMMEDIATELY SET TO 0.8;

               VALUE(8.4)     APPLIES TO ATOMIC COORDINATES.
               VALUE(8.5)     APPLIES TO THE TEMPERATURE FACTORS AND THE PREFERRED
                              ORIENTATION PARAMETER.
               VALUE(8.6)     APPLIES TO THE SCALE AND SITE OCCUPATION FACTORS,
                              AND TO THE COMPONENTS OF THE MAGNETIC VECTOR.
               VALUE(8.7)     APPLIES TO THE ZEROPOINT AND THE HALFWIDTH, CELL,
                              AND ASYMMETRY PARAMETERS.


         OPTIONAL LINE SET 9.  PREFERRED ORIENTATION AXES
         -------------------------------------------------
                       TO BE SUPPLIED FOR EACH PATTERN FOR WHICH IVALUE(4.2) IS NON-ZERO.
                       (ALL VALUES INPUT AS DECIMAL NUMBERS)

               VALUE(9.1)     >
                              >
               VALUE(9.2)     >  MILLER INDICES OF THE PREFERRED ORIENTATION AXIS.
                              >
               VALUE(9.3)     >



         OPTIONAL LINE SET 10.  UNIQUE MAGNETIC AXES
         --------------------------------------------
                       TO BE SUPPLIED FOR EACH PATTERN FOR WHICH IVALUE(4.1) IS EQUAL TO 2;
                       (ALL VALUES INPUT AS DECIMAL NUMBERS)

               VALUE(10.1)    >
                              >
               VALUE(10.2)    >  MILLER INDICES OF THE UNIQUE MAGNETIC AXIS.
                              >
               VALUE(10.3)    >






         LINE SET 11.  SYMMETRY OPERATORS FOR EACH PATTERN
         ------------------------------------------------
                       (ALL VALUES INPUT AS DECIMAL NUMBERS)
                        IVALUE(7.2)  SPACEGROUP  SYMMETRY  OPERATORS  MUST  BE  SUPPLIED  ACCORDING  TO  THE
               FOLLOWING SCHEME:-
               VALUE(11.1) UNTIL VALUE(11.9) ARE THE ELEMENTS OF A 3*3 MATRIX  DESCRIBING  THE  ROTATION  OR
               REFLECTION DUE TO THE SPACEGROUP SYMMETRY OPERATION. VALUE(11.10) UNTIL VALUE(11.12) ARE  THE
               TRANSLATIONAL COMPONENTS OF THE  OPERATOR  ALONG  THE  CRYSTALLOGRAPHIC  X,  Y,  AND  Z  AXES
               RESPECTIVELY. THE SYMMETRY RELATED POSITION IS GENEREATED ACCORDING TO:-
1                                     MANUAL FOR MULTIPATTERN RIETVELD PROGRAM                           11.
         ...................................................................................................


                    X' = VALUE(11.1)*X + VALUE(11.2)*Y + VALUE(11.3)*Z + VALUE(11.10)
                    Y' = VALUE(11.4)*X + VALUE(11.5)*Y + VALUE(11.6)*Z + VALUE(11.11)
                    Z' = VALUE(11.7)*X + VALUE(11.8)*Y + VALUE(11.9)*Z + VALUE(11.12)

                       WHEN NEUTRON MAGNETIC SCATTERING IS TO BE CALCULATED (THAT  IS  WHEN  IVALUE(7.6)  IS
               NON-ZERO), EACH SPACEGROUP SYMMETRY OPERATOR MUST BE IMMEDIATELY FOLLOWED BY  DATA  DESCRIBED
               UNDER THE HEADING 'OPTIONAL LINE SET 11A'.





         OPTIONAL LINE SET 11A.  MAGNETIC VECTOR ROTATION MATRICES
         ----------------------------------------------------------
                       TO BE SUPPLIED ONLY WHEN IVALUE(7.6) IS NON-ZERO
                       (ALL VALUES INPUT AS DECIMAL NUMBERS)

                       VALUE(11A.1) UNTIL VALUE(11A.9) ARE THE ELEMENTS OF A MATRIX DESCRIBIBNG THE ROTATION
               OR REFLECTION WHICH MUST BE APPLIED TO THE MAGNETIC VECTOR TO  TRANSFORM  TO  THE  SPACEGROUP
               POSITION IMMEDIATELY PRECEDING THE MATRIX. VALUES  OF  IVALUE(7.6)  GREATER  THAN  ONE  ALLOW
               DIFFERENT MAGNETIC VECTOR ROTATION MATRICES TO BE  APPLIED  TO  DIFFERENT  ATOMS,  SINCE  THE
               SERIAL NUMBER OF THE MAGNETIC  VECTOR  ROTATION  MATRIX  MUST  BE  SPECIFIED  FOR  EACH  ATOM
               (OPTIONAL IVALUE(14.8)). IN THE CASE WHERE THERE ARE TWO SPACEGROUP SYMMETRY OPERATIONS PLUS
               TWO MAGNETIC VECTOR ROTATION MATRICES, THE STRUCTURE OF THE INPUT DATA FOR LINE SET 11 IS:-

                    SPACEGROUP SYMMETRY OPERATOR (1)
                    MAGNETIC VECTOR ROTATION MATRIX (1.1)
                    MAGNETIC VECTOR ROTATION MATRIX (1.2)
                    SPACEGROUP SYMMETRY OPERATOR (2)
                    MAGNETIC VECTOR ROTATION MATRIX (2.1)
                    MAGNETIC VECTOR ROTATION MATRIX (2.2)

                       IF 'KX', 'KY', AND 'KZ' ARE THE COMPONENTS OF THE MAGNETIC VECTOR  ALONG  THE  X,  Y,
               AND Z CRYSTALLOGRAPHIC AXES RESPECTIVELY, THEN  THE  MATRIX  MULTIPLICATION  CARRIED  OUT  ON
               TRANSFORMING TO A NEW SPACEGROUP POSITION IS:-

                    KX' = VALUE(11A.1)*KX + VALUE(11A.2)*KY + VALUE(11A.3)*KZ
                    KY' = VALUE(11A.4)*KX + VALUE(11A.5)*KY + VALUE(11A.6)*KZ
                    KZ' = VALUE(11A.7)*KX + VALUE(11A.8)*KY + VALUE(11A.9)*KZ



         LINE 12.
         --------
                NEUTRON SCATTERING LENGTHS OR X-RAY DISPERSION TERMS
               ------------------------------------------------------
                        (ALL VALUES INPUT AS DECIMAL NUMBERS)
                  SUM IVALUE(7.4)  SCATTERING FACTORS INDEPENDENT OF SINE  THETA/LAMBDA  MUST  BE  SUPPLIED.

               THESE ARE  ASSIGNED  TO  INDIVIDUAL  ATOMS  ACCORDING  TO  THE  KEY  INTEGERS  (IVALUE(14.1))
               SPECIFIED FOR EACH ATOM IN LINE SET 14. THE REQUIRED DATA IS:-
               VALUE(12.1)    SCATTERING FACTOR OF ATOMS DESIGNATED AS TYPE 1
                              IN LINE SET 14.
1

                                      MANUAL FOR MULTIPATTERN RIETVELD PROGRAM                           12.
         ...................................................................................................




               VALUE(12.2)    SCATTERING FACTOR OF ATOMS DESIGNATED AS TYPE 2
                              IN LINE SET 14.
                    .
                    .
               VALUE(12.SUM IVALUE(7.4) )





         OPTIONAL LINE 12A.
         ------------------
                NEUTRON INCOHERENT SCATTERING CROSS SECTIONS  BARNS
               ------------------------------------------------------
                       TO BE SUPPLIED ONLY WHEN IVALUE(2.5) IS NON-ZERO.
                       (ALL VALUES INPUT AS DECIMAL NUMBERS)

                  SUM IVALUE(7.4)  INCOHERENT CROSS  SECTIONS  INDEPENDENT  OF  SINE  THETA/LAMBDA  MUST  BE
               SUPPLIED.  THESE  ARE  ASSIGNED  TO  INDIVIDUAL  ATOMS  ACCORDING  TO  THE    KEY    INTEGERS
               (IVALUE(14.2)) SUPPLIED IN LINE SET 14. THE REQUIRED DATA ARE:-

               VALUE(12A.1)    INCOHERENT CROSS SECTION OF ATOMS DESIGNATED AS
                               TYPE 1 IN LINE SET 14.
                    .
                    .
               VALUE(12A.SUM IVALUE(7.4) )





         OPTIONAL LINE SET 13.
         ---------------------
                NEUTRON MAGNETIC OR REAL X-RAY SCATTERING CURVES
               --------------------------------------------------
                       TO BE SUPPLIED ONLY WHEN IVALUE(7.5) FOR ANY PATTERN IS NON-ZERO.
                       (MIXED INTEGER AND DECIMAL INPUT UNDER 'INPUT MODE 1')

                  SUM IVALUE(7.5)  SCATTERING CURVES  MUST BE SUPPLIED. THESE  ARE  ASSIGNED  TO  INDIVIDUAL
               ATOMS ACCORDING TO THE KEY INTEGERS (OPTIONAL IVALUE(14.8)) SPECIFIED FOR EACH ATOM  IN  LINE
               SET 14.
                       NEUTRON MAGNETIC SCATTERING CURVES SHOULD BE NORMALISED SUCH THAT THE VALUE  AT  ZERO
               SCATTERING ANGLE IS UNITY.


                       THE DATA TO BE SUPPLIED FOR EACH CURVE IS:-

               IVALUE(13.1)    THE NUMBER OF POINTS IN THE SCATTERING CURVE.

                       THEN FOR EACH OF THE IVALUE(13.1) POINTS IN THE CURVE:-
               VALUE(13.2)    SINE THETA/LAMBDA VALUE
               VALUE(13.3)    SCATTERING AMPLITUDE AT SINE THETA/LAMBDA = VALUE(13.2) ETC.
1

                                      MANUAL FOR MULTIPATTERN RIETVELD PROGRAM                           13.
         ...................................................................................................


                       THE INPUT DATA FOR EACH CURVE MAY BE SPREAD OVER MORE THAN ONE LINE,BUT CARE MUST  BE
               TAKEN TO PUNCH ALL VALUES EVEN IF THEY ARE ZERO.


         OPTIONAL LINE 13A.
         ------------------
                SPIN QUANTUM NUMBERS FOR PARAMAGNETIC IONS
               --------------------------------------------
                       TO BE SUPPLIED ONLY WHEN IVALUE(2.5) AND IVALUE(7.5) ARE NON-ZERO.
                       (ALL VALUES INPUT AS DECIMAL NUMBERS)

                  SUM IVALUE(7.5)  SPIN QUANTUM NUMBERS MUST BE SUPPLIED. THESE ARE ASSIGNED  TO  INDIVIDUAL
               ATOMS ACCORDING TO THE KEY INTEGERS (OPTIONAL IVALUE(14.8)) SPECIFIED IN  LINE  SET  14.  THE
               REQUIRED DATA IS:-

               VALUE(13A.1)   THE SPIN QUANTUM NUMBER FOR ATOMS DESIGNATED AS TYPE 1
                              IN LINE SET 14.
                    .
                    .
               VALUE(13A.SUM IVALUE(7.5) )



         LINE SET 14.  ATOMIC PARAMETERS
         --------------------------------
                       (MIXED INTEGER AND DECIMAL INPUT)
                       UP TO FOURTEEN PARAMETERS MAY BE GIVEN FOR EACH OF THE  ATOMS,  BUT  THE
               MAJORITY OF THESE MAY BE OMITTED UNLESS THE ATOM CONTRIBUTES TO NEUTRON  MAGNETIC  SCATTERING
               OR HAS ANISOTROPIC THERMAL MOTION. PARAMETERS NOT SPECIFIED AS OPTIONAL  IN  THE  LIST  BELOW
               MUST BE SUPPLIED. THE DATA REQUIRED FOR EACH ATOM IS:-


               NAME           AN ALPHANUMERIC IDENTIFIER ASSUMED TO CONSIST OF THE
                              FIRST FOUR CHARACTERS IN THE LINE, INCLUDING
                              SPACES. IN CASES WHERE 'CHEMICAL' CONSTRAINTS ARE
                              IN OPERATION, EACH ATOM MUST HAVE A UNIQUE IDENTIFIER.

               IVALUE(14.1)   THE SERIAL NUMBER OF THE PATTERN TO WHICH THIS ATOM CONTRIBUTES

               IVALUE(14.2)   THE SERIAL NUMBER OF THE NEUTRON SCATTERING FACTOR,
                              OR X-RAY ANOMALOUS DISPERSION TERM TO BE USED
                              (SEE LINE 12).

               VALUE(14.3)    X-COORDINATE >
                                           >
               VALUE(14.4)    Y-COORDINATE > IN FRACTIONS OF THE UNIT CELL EDGE.
                                           >
               VALUE(14.5)    Z-COORDINATE >

               VALUE(14.6)    ISOTROPIC TEMPERATURE FACTOR.

               VALUE(14.7)    SITE OCCUPATION FACTOR. THIS MAY REFLECT GENUINE
                              PARTIAL OCCUPATION OF A SITE, OR COMPENSATE FOR ATOMS
                              ON CRYSTALLOGRAPHIC SPECIAL POSITIONS.
1

                                      MANUAL FOR MULTIPATTERN RIETVELD PROGRAM                           14.
         ...................................................................................................


               OPTIONAL VALUE(14.8)   TO BE SUPPLIED ONLY WHEN ONE OF IVALUE(2.5)
                                      AND IVALUE(4.1) IS NON-ZERO. (THAT IS WHEN
                                      NEUTRON MAGNETIC, PARAMAGNETIC, OR REAL
                                      X-RAY SCATTERING IS BEING CALCULATED)
                                       THE SERIAL NUMBER OF THE NEUTRON MAGNETIC OR
                                       REAL X-RAY SCATTERING CURVE TO BE USED (SEE
                                       OPTIONAL LINE SET 13).

                       WHEN OPTIONAL IVALUE(14.8) IS NON-ZERO, AND IVALUE(2.5) IS EQUAL TO 1, 2, OR 3  (THAT
               IS WHEN THE ATOM CONTRIBUTES TO  NEUTRON  MAGNETIC  SCATTERING),  OPTIONAL  IVALUE(14.9)  AND
               OPTIONAL VALUES (14.10) TO (14.12) MUST ALSO BE SUPPLIED. IN ADDITION, THE  INPUT  IS  CHANGED
               TO 'INPUT MODE 1' AND VALUES (14.9) ONWARD MAY BE SPREAD OVER MORE THAN  ONE  LINE  OF  INPUT
               DATA, BUT ALL NECESSARY VALUES MUST BE PUNCHED EVEN IF THEY ARE ZERO.

                       OPTIONAL IVALUE(14.9) AND OPTIONAL VALUES (14.10) TO (14.12) SHOULD ONLY BE  SUPPLIED
               WHEN OPTIONAL IVALUE(14.8) IS NON-ZERO AND IVALUE(2.3) IS EQUAL TO 1, 2, OR 3 (THAT  IS  WHEN
               THE ATOM CONTRIBUTES TO NEUTRON MAGNETIC SCATTERING).
               OPTIONAL IVALUE(14.9)     THE SERIAL NUMBER OF THE MAGNETIC VECTOR
                                         ROTATION MATRIX TO BE USED (SEE OPTIONAL
                                         LINE SET 11A).
                       IN THE EXAMPLE ON PAGE 10, IVALUE(14.9)  EQUAL  TO  ONE  WOULD  SPECIFY  THE  USE  OF
               MAGNETIC MATRICES (1.1) AND (2.1), WHEREAS IVALUE(14.9) EQUAL TO  2  WOULD  SPECIFY  MATRICES
               (1.2) AND (2.2).
               OPTIONAL VALUE(14.10) >                                         < X.
                                     >                                         <
               OPTIONAL VALUE(14.11) > COMPONENTS OF THE MAGNETIC VECTOR ALONG < Y.
                                     >                                         <
               OPTIONAL VALUE(14.12) >                                         < Z.


               IVALUE(14.13)    TEMPERATURE FACTOR SELECTION INTEGER.
               ALLOWED VALUES OF THIS PARAMETER ARE:-
               0     ISOTROPIC TEMPERATURE FACTOR.
               1     ANISOTROPIC TEMPERATURE FACTOR.
               2     CONVERT AN ISOTROPIC TEMPERATURE FACTOR TO AN ANISOTROPIC ONE
                     BEFORE THE START OF THE CALCULATION.  REFINEMENT IS THEN
                     CARRIED OUT AS THOUGH THE TEMPERATURE FACTOR HAD BEEN INPUT AS
                     ANISOTROPIC.
 ********************************************************************************
 *      FURTHER ALLOWED VALUES ARE NOW
 *              3     THIRD ORDER ANHARMONIC TEMPERATURE FACTORS
 *              4     FOURTH ORDER ANHARMONIC TEMPERATURE FACTORS
 *      THIS REQUIRES THE INPUT 1-3 MORE LINES AFTER THE ANISOTROPIC PAR.
 ********************************************************************************



1
                       A UNIT VALUE FOR IVALUE(14.13) CONVERTS THE INPUT TO  'INPUT  MODE  1'  AND  REQUIRES
               INPUT OF OPTIONAL VALUES (14.14) TO (14.19). THIS DATA MAY  BE  SPREAD  OVER  MORE  THAN  ONE
               LINE, BUT ALL VALUES MUST BE PUNCHED EVEN IF THAY ARE ZERO.
                       VALUES (14.14) TO (14.19) SHOULD ONLY BE SUPPLIED WHEN IVALUE(14.13) IS EQUAL TO 1;
               VALUE(14.14) >                                           < B(11)
                            >                                           <
               VALUE(14.15) >                                           < B(22)
                            >                                           <
               VALUE(14.16) >                                           < B(33)
                            > COMPONENTS OF THE ANISOTROPIC TEMPERATURE <
               VALUE(14.17) > FACTOR ACCORDING TO EQUATION (14) ON PAGE < B(12)
                            > 4.                                        <
               VALUE(14.18) >                                           < B(13)
                            >                                           <
               VALUE(14.19) >                                           < B(23)


 ********************************************************************************
 *   IF IVALUE (14.13)=3 INCLUDE ONE MORE LINE
 *                               *************
 *   VALUE(14.20-14.29):  C111,C222,C333,C112,C122,C113,C133,C223,C233,C123
 *
 *   IF IVALUE (14.13)=4 INCLUDE TWO MORE LINES
 *                               **************
 *   VALUE(14.30-39): D1111,D2222,D3333,D1112,D1222,D1113,D1333,D2223,D2333,D1122
 *   VALUE(14.40-44): D1133,D2233,D1123,D1223,D1233
 *
 *   NOTES
 *   =====
 *   *** THE SEQUENCE OF PARAMETERS CORRESPONDS TO THAT GIVEN IN THE INT. TABLES
 *       (VOL.4), I.E. NOT THAT OF PROMETHEUS (RIPR CONVERTS THEM TO PROMETHEUS)
 *   *** IF HIGHER ORDERS ARE USED ALL PRECEDING ONES MUST BE GIVEN (EVEN, IF
 *       THEY ARE ZERO E.G. BY SYMMETRY, ESPECIALLY ISOTROPIC ONES MUST BE CON-
 *       VERTED TO ANISOTROPIC FIRST!)
 *   *** IN THE PRINTED OUTPUT (LPPR) ALL CIJK ARE MULTIPLIED BY 1000, ALL
 *       DIJKL BY 10000 (TRUE VALUES ARE USED IN NEUPAR!)
 ********************************************************************************


1

                                      MANUAL FOR MULTIPATTERN RIETVELD PROGRAM                           15.
         ...................................................................................................




         LINE SET 15.  SCALE AND OVERALL TEMPERATURE FACTORS FOR EACH PATTERN
         ---------------------------------------------------------------------
                       (ALL VALUES INPUT AS DECIMAL NUMBERS)
               VALUE(15.1)    SCALE FACTOR FOR NEUTRON DIFFRACTION DATA, OR
                              X-RAY ALPHA-1 RADIATION
               OPTIONAL VALUE(15.2)     TO BE SUPPLIED ONLY WHEN X-RAY REFINEMENT
                                        IS CARRIED OUT.
                                        SCALE FACTOR FOR X-RAY ALPHA-2 RADIATION.
               VALUE(15.3)    OVERALL ISOTROPIC TEMPERATURE FACTOR, APPLIED TO EACH
                              ATOM IN ADDITION TO ANY INDIVIDUAL ATOMIC TEMPERATURE
                              FACTOR SPECIFIED IN LINE SET 14.


         LINE 16.  ZEROPOINT
         --------------------
               VALUE(16.1)   :HE ZEROPOINT ERROR RELATING THE TRUE TWO THETA VALUE
                             TO THAT INDICATED BY THE COUNTER ARM SCALE (IN UNITS
                             OF HUNDREDTHS OF A DEGREE). THE ZERO POINT ERROR IS
                             SUBTRACTED FROM THE COUNTER READING IN CALCULATING
                             THE TRUE TWO THETA VALUE.


         LINE SET 17.  HALFWIDTH PARAMETERS FOR EACH PATTERN
         ----------------------------------------------------
                       (ALL VALUES INPUT AS DECIMAL NUMBERS)
               VALUE(17.1) >                                   < U.
                           > HALFWIDTH PARAMETERS ACCORDING TO <
               VALUE(17.2) > EQUATION (6) ON PAGE 3. (IN UNITS < V.
                           > OF HUNDREDTHS OF A DEGREE).       <
               VALUE(17.3) >                                   < W.


         LINE SET 18.  CELL PARAMETERS FOR EACH PATTERN
         -----------------------------------------------
                       (ALL VALUES INPUT AS DECIMAL NUMBERS)
               VALUE(18.1) > A     <    > AA
                           >       <    >
               VALUE(18.2) > B     <    > BB
                           >       <    >
               VALUE(18.3) > C     <    > CC
                           >       < OR >
               VALUE(18.4) > ALPHA <    > BC
                           >       <    >
               VALUE(18.5) > BETA  <    > AC
                           >       <    >
               VALUE(18.6) > GAMMA <    > AB

                       WHEN VALUE(18.1) IS GREATER THAN 1.0, THE INPUT IS ASSUMED TO CONTAIN THE CELL  EDGES
               'A', 'B', AND 'C' IN ANGSTROMS, AND THE ANGLES  'ALPHA',  'BETA',  AND  'GAMMA'  IN  DEGREES.
               OTHERWISE, THE CELL IS INPUT AS THE COMPONENTS OF THE RECIPROCAL METRIC  TENSOR  'AA',  'BB',
               'CC', 'BC', 'AC', AND 'AB' (SEE EQUATION (5) ON PAGE 3).
1

                                      MANUAL FOR MULTIPATTERN RIETVELD PROGRAM                           16.
         ...................................................................................................


         OPTIONAL LINE 19.
         -----------------
               PREFERRED ORIENTATION AND ASYMMETRY PARAMETERS
               ----------------------------------------------
                       (ALL VALUES INPUT AS DECIMAL NUMBERS)
                       FOR EACH PATTERN:-
                       TO BE SUPPLIED ONLY WHEN IVALUE(2.4) OR IVALUE(4.2) IS NON-ZERO.

               OPTIONAL VALUE(19.1)     TO BE SUPPLIED ONLY WHEN IVALUE(4.2) IS
                                        NON-ZERO.
                                        THE PREFERRED ORIENTATION PARAMETER
                                        (SEE EQUATION (9) ON PAGE 3).

               OPTIONAL VALUE(19.2)     TO BE SUPPLIED ONLY WHEN IVALUE(2.4) IS
                                        NON-ZERO.
                                        THE ASYMMETRY PARAMETER
                                        (SEE EQUATION (10) ON PAGE 4).



         REFINEMENT CODEWORDS.
         ---------------------
                       THE PROGRAM PROVIDES THE USER WITH THE FACILITY TO  RELATE  DIRECTLY  THE  PARAMETERS
               BEING REFINED AND THE WAY IN WHICH THE LEAST SQUARES MATRIX IS CALCULATED. THIS  IS  ACHIEVED
               BY REQUIRING THE USER TO SPECIFY WHICH ROW OF THE LEAST SQUARES  MATRIX  IS  ASSOCIATED  WITH
               WHICH OF THE STRUCTURE PARAMETERS. PARAMETERS  WHICH  ARE  INDEPENDENT  OF  ONE  ANOTHER  ARE
               ASSIGNED DIFFERENT ROW NUMBERS, (IROW), WHEREAS PARAMETERS WHICH ARE LINEARLY  DEPENDENT  ARE
               ASSIGNED THE SAME ROW NUMBER. THE NUMBER OF ROW NUMBERS SUPPLIED MUST BE EQUAL TO THE  NUMBER
               OF VARIABLES (IVALUE(2.2)), BUT THE ROW NUMBERS MAY TAKE  ON  ANY  VALUE,  AND  NEED  NOT  BE
               SEQUENTIALLY ORDERED. IN ORDER TO ALLOW SIMPLE LINEAR RELATIONSHIPS TO BE MAINTAINED  BETWEEN
               PARAMETERS, THE USER IS ALSO REQUIRED TO  SPECIFY  FOR  EACH  PARAMETER  A  SHIFT  MULTIPLIER
               (FRAC) BY WHICH THE SHIFT CALCULATED FROM THE LEAST  SQUARES  EQUATIONS  WILL  BE  MULTIPLIED
               BEFORE IT IS APPLIED TO THE PARAMETER TO WHICH IT REFERS. THIS SHIFT MULTIPLIER IS  GIVEN  IN
               ADDITION TO THE BLANKET RELAXATION FACTORS SUPPLIED FOR DIFFERENT TYPES OF PARAMETER ON  LINE
               6. THE ROW NUMBER IN THE LEAST SQUARES MATRIX AND THE SHIFT MULTIPLIER ARE COMBINED  TO  FORM
               A REFINEMENT CODEWORD (CODE) FOR EACH PARAMETER ACCORDING TO:-
                    CODE =  IROW*10 + ABS(FRAC) *SIGN(FRAC)                                (15)
               WHERE 'ABS(FRAC)' MEANS THE ABSOLUTE VALUE OF 'FRAC'  AND  'SIGN(FRAC)'  IS  +1  IF  FRAC  IS
               POSITIVE, AND -1 IF 'FRAC' IS NEGATIVE. A ZERO CODEWORD MEANS THAT THE PARAMETER  WITH  WHICH
               IT IS ASSOCIATED WILL NOT BE REFINED.

                       IF TWO PARAMETERS OF THE STRUCTURE ARE RELATED BY:-
                    PARAMETER(1) = F*PARAMETER(2) + CONSTANT                               (16)
               THIS RELATIONSHIP MAY BE PRESERVED DURING REFINEMENT BY ALLOCATING EACH  PARAMETER  THE  SAME
               ROW NUMBER (SAY, 'IR') IN THE LEAST SQUARES MATRIX, AND  SETTING  THE  APPROPRIATE  CODEWORDS
               TO:-
               FOR PARAMETER(1):  CODE = 10*IR + 1.0                                       (17)
               (THAT IS APPLY THE CALCULATED SHIFT DIRECTLY TO PARAMETER(1))
               FOR PARAMETER(2):  CODE = (10*IR + ABS(F))*SIGN(F)                          (18)
               (THAT IS APPLY (THE CALCULATED SHIFT)*F TO PARAMETER(2))
               NOTE THAT THE CODEWORDS ARE CONSTRUCTED WITHOUT REFERNCE TO THE  CONSTANT  TERM  IN  EQUATION
               (14)

                       A COMMON SITUATION IN WHICH CODEWORDS ARE OF USE IS THAT IN WHICH AN ATOM RESIDES  ON
1

                                      MANUAL FOR MULTIPATTERN RIETVELD PROGRAM                           17.
         ...................................................................................................


               A SPECIAL POSITION SUCH AS (X, 2X, Z). IN THIS CASE, THE X AND  Y  COORDINATES  ARE  LINEARLY
               DEPENDENT AND MUST BE GIVEN THE SAME ROW NUMBER IN THE LEAST  SQUARES  MATRIX.  IN  ORDER  TO
               MAINTAIN THE RELATIONSHIP 'Y = 2X', THE SHIFT APPLIED TO Y MUST BE TWICE THAT APPLIED  TO  X.
               IF X IS DESIGNATED THE 5TH PARAMETER OF THE REFINEMENT, AND Z THE  6TH,  THEN  THE  CODEWORDS
               REQUIRED FOR THE COORDINATES X, Y, AND Z RESPECTIVELY ARE: 51; 51; AND 61;

                       ANISOTROPIC TEMPERATURE FACTORS ASSIGNED TO AN ATOM  ON A  SPECIAL  POSITION  PRESENT
               ANOTHER SITUATION WHERE CORRECT MANIPULATION OF THE  CODEWORDS  IS  VITAL.  FOR  EXAMPLE,  IN
               POSITION 16(F) OF SPACEGROUP I 4(1)/ACD (NO. 142, ORIGIN ON -1)  THE  RELATIONS  BETWEEN  THE
               ANISOTROPIC THERMAL PARAMETERS ARE (SEE H. A. LEVY ACTA CRYSTALLOGRAPHICA 1956, VOLUME 9,  P.
               679):-
                    B(11) = B(22); B(13) = -B(23); B(12), B(33) INDEPENDENT
                       ACCORDINGLY, B(11) AND B(22) MUST BE ASSIGNED  THE  SAME  ROW  NUMBER  IN  THE  LEAST
               SQUARES MATRIX, AS MUST B(13) AND B(23), BUT FOR THE LATTER PAIR, THE SHIFT  MULTIPLIER  MUST
               TAKE ACCOUNT OF THE NEGATIVE SIGN IN THE RELATIONSHIP. IF B(11) IS TAKEN AS  PARAMETER  3  OF
               THE REFINEMENT, B(33) AS 5, B(12) AS 6, AND B(13) AS 4 THEN THE CODEWORDS REQUIRED ARE:-
                    B(11)  B(22)  B(33)  B(12)  B(13)  B(23)
                       31     31     51     61     41    -41

                       A THIRD CASE REQUIRING CORRECTLY SPECIFIED CODEWORDS IS EXEMPLIFIED BY REFINEMENT  OF
               THE CELL PARAMETERS IN A HEXAGONAL CRYSTAL. IN THIS CASE, THE CELL PARAMETERS  (SEE  EQUATION
               (5) ON PAGE 3) ARE RELATED BY:-
                    BC = AC = 0; AA = BB = AB; CC INDEPENDENT
               THUS 'BC' AND 'AC' SHOULD NOT BE REFINED, AND 'AA', 'BB', AND 'AB' SHOULD BE GIVEN  THE  SAME
               CODEWORD.


         SPECIFICATION OF CODEWORDS
         --------------------------
                       THE CODEWORDS FOR THE STRUCTURE PARAMETERS ARE SPECIFIED IN THE  SAME  ORDER  AS  THE
               PARAMETERS THEMSELVES. ALL OF THE CODEWORDS SHOULD BE OMITTED WHEN IVALUE(2.1) IS ZERO.



         LINE 20.  CODEWORDS FOR ATOM PARAMETERS
         ----------------------------------------
                       (ALL VALUES INPUT AS DECIMAL NUMBERS)
                       CODEWORDS MUST BE SUPPLIED FOR EACH OF THE ATOMS AS FOLLOWS:-

               VALUE(20.1) >               < X-COORDINATE.
                           >               <
               VALUE(20.2) >  CODEWORD FOR < Y-COORDINATE.
                           >               <
               VALUE(20.3) >               < Z-COORDINATE.

               VALUE(20.4)    CODEWORD FOR THE ISOTROPIC TEMPERATURE FACTOR.
               VALUE(20.5)    CODEWORD FOR THE SITE OCCUPATION FACTOR.

                       VALUES (20.6) TO (20.8) SHOULD ONLY BE SUPPLIED WHEN THE ATOM CONTRIBUTES TO  NEUTRON
               MAGNETIC SCATTERING (THAT IS WHEN IVALUE(4.1) IS EQUAL TO 1, 2, OR  3,  AND  IVALUE(14.8)  IS
               NON-ZERO).
               OPTIONAL VALUE(20.6) >                                   < X.
                                    >                                   <
               OPTIONAL VALUE(20.7) > CODEWORDS FOR THE MAGNETIC VECTOR < Y.
1

                                      MANUAL FOR MULTIPATTERN RIETVELD PROGRAM                           18.
         ...................................................................................................


                                    > COMPONENTS ALONG                  <
               OPTIONAL VALUE(20.8) >                                   < Z.
                       WHEN IVALUE(14.13) IS NON-ZERO (THAT IS WHEN THE  ATOM  HAS  ANISOTROPIC  TEMPERATURE
               FACTORS) THE DATA GIVEN FOR LINE 20 SHOULD BE IMMEDIATELY FOLLOWED BY  THAT  DESCRIBED  UNDER
               'OPTIONAL LINE 20A'. THERE ARE THEN TWO LINES OF REFINEMENT CODEWORDS FOR ANISOTROPIC ATOMS.



         OPTIONAL LINE 20A.
         ------------------
                CODEWORDS FOR ANISOTROPIC TEMPERATURE FACTORS
                ---------------------------------------------
                       TO BE SUPPLIED ONLY WHEN THE ATOM IN  QUESTION  HAS  ANISOTROPIC  THERMAL  PARAMETERS
               (THAT IS WHEN IVALUE(14.13) IS NON-ZERO).
               VALUE(20A.1) >                                       < B(11).
                            >                                       <
               VALUE(20A.2) >                                       < B(22).
                            >                                       <
               VALUE(20A.3) >                                       < B(33).
                            > CODEWORDS FOR THE ANISOTROPIC THERMAL <
               VALUE(20A.4) > PARAMETERS                            < B(12).
                            >                                       <
               VALUE(20A.5) >                                       < B(13).
                            >                                       <
               VALUE(20A.6) >                                       < B(23).

 ********************************************************************************
 *   OPTIONALLY 1 TO 3 MORE LINES OF CODEWORDS MUST BE GIVEN IF ANHARMONIC TEMPERATURE
 *   FACTORS ARE PRESENT. THE SEQUENCE CORRESPONDS EXACTLY TO THAT GIVEN ABOVE
 *   AT THE END OF LINE 14.
 ********************************************************************************



1
          LINE SET 21  CODEWORDS FOR SCALE(S) AND OVERALL TEMPERATURE FACTORS
          -------------------------------------------------------------------
                       (ALL VALUES INPUT AS DECIMAL NUMBERS)
               VALUE(21.1)    CODEWORD FOR THE SCALE FACTOR FOR NEUTRON DIFFRACTION
                              OR X-RAY ALPHA-1 REFLECTIONS.
               OPTIONAL VALUE(21.2)    TO BE SUPPLIED ONLY WHEN X-RAY REFINEMENT
                                       IS CARRIED OUT.
                                       CODEWORD FOR THE SCALE FACTOR FOR X-RAY
                                       ALPHA-2 REFLECTIONS.
               VALUE(21.3)    CODEWORD FOR THE OVERALL ISOTROPIC TEMPERATURE
                              FACTOR.
                    * THIS LINE TO BE REPEATED FOR EACH PATTERN



         LINE 22.  CODEWORD FOR ZEROPOINT
         ---------------------------------
               VALUE(22.1)    CODEWORD FOR ZEROPOINT ERROR



         LINE SET 23 CODEWORDS FOR HALFWIDTH PARAMETERS .
         ------------------------------------------------

1

                                      MANUAL FOR MULTIPATTERN RIETVELD PROGRAM                           19.
         ...................................................................................................

                       (ALL VALUES INPUT AS DECIMAL NUMBERS)
               VALUE(23.1) >              < U.
                           >              <
               VALUE(23.2) > CODEWORD FOR < V.
                           >              <
               VALUE(23.3) >              < W.
                    * THIS LINE TO BE REPEATED FOR EACH PATTERN



         LINE SET 24.  CODEWORDS FOR CELL PARAMETERS
         --------------------------------------------
                       (ALL VALUES INPUT AS DECIMAL NUMBERS)
                       THE CELL PARAMETERS ACTUALLY REFINED ARE THE  COMPONENTS  OF  THE  RECIPROCAL  METRIC
               TENSOR DEFINED IN EQUATION (5) ON PAGE 3.
               VALUE(24.1) >               < AA.
                           >               <
               VALUE(24.2) >               < BB.
                           >               <
               VALUE(24.3) >               < CC.
                           > CODEWORDS FOR <
               VALUE(24.4) >               < BC.
                           >               <
               VALUE(24.5) >               < AC.
                           >               <
               VALUE(24.6) >               < AB.



         OPTIONAL LINE SET 25.
         ---------------------
               CODEWORDS FOR THE PREFERRED ORIENTATION AND ASYMMETRY PARAMETERS
               ----------------------------------------------------------------
                        FOR EACH PATTERN
                       TO BE SUPPLIED ONLY WHEN IVALUE(2.4) OR IVALUE(4.2) IS NON-ZERO.
                       (ALL VALUES INPUT AS DECIMAL NUMBERS)

               OPTIONAL VALUE(25.1)    TO BE SUPPLIED ONLY WHEN IVALUE(4.2) IS
                                       NON-ZERO.
                                       CODEWORD FOR THE PREFERRED ORIENTATION PARAMETER.

               OPTIONAL VALUE(25.2)    TO BE SUPPLIED ONLY WHEN IVALUE(2.4) IS
                                       NON-ZERO.
                                       CODEWORD FOR THE ASYMMETRY PARAMETER.



         CONSTRAINED REFINEMENT.
         -----------------------
                       IT IS POSSIBLE TO PERFORM TWO  TYPES  OF  CONSTRAINED  REFINEMENT  USING  EITHER  THE
               'STRICT'  CONSTRAINTS  DESCRIBED  BY  G.  S.  PAWLEY  (ADVANCES  IN  STRUCTURE  RESEARCH   BY
               DIFFRACTION METHODS 1972, VOLUME 4, PP. 1-64.) OR THE 'CHEMICAL' CONSTRAINTS FIRST  DESCRIBED
               BY J. WASER (ACTA CRYSTALLOGRAPHICA 1963, VOLUME 16, PP. 1091-1094. SEE ALSO  J.  S.  ROLLETT
               IN 'CRYSTALLOGRAPHIC COMPUTING', MUNKSGAARD, 1970, P. 170, EDITOR F. R.  AHMED).  THE  MIXING
               OF 'STRICT' AND 'CHEMICAL' CONSTRAINTS IS POSSIBLE BUT IS NOT RECOMMENDED.
1

                                      MANUAL FOR MULTIPATTERN RIETVELD PROGRAM                           20.
         ...................................................................................................

                       'STRICT' CONSTRAINTS  ENFORCE  A  PRECISE  RELATIONSHIP  BETWEEN  VARIOUS  STRUCTURAL
               PARAMETERS, AND ARE SPECIFIED IN THE FORM OF AN  EQUATION  WITH  LINEAR  OR  QUADRATIC  TERMS
               RELATING THE PARAMETERS TO A CONSTANT TERM (THE VALUE OF THE CONSTRAINT FUNCTION).  A  COMMON
               CASE WHERE 'STRICT' CONSTRAINTS MAY BE OF USE IS THE CONSTRAINING TO UNITY OF THE SUM OF  THE
               SITE OCCUPATION FACTORS FOR ALL THE SITES OCCUPIED BY A DISORDERED ATOM.

                       'CHEMICAL' CONSTRAINTS IMPOSE LESS STRINGENT REQUIREMENTS ON THE  ATOMIC  PARAMETERS.
               INDEED, IF THEY ARE IN COMPLETE DISAGREEMENT WITH THE PROFILE INTENSITY DATA,  THEY  MAY  NOT
               BE OBEYED AT ALL.  IT IS POSSIBLE BY MEANS OF 'CHEMICAL' CONSTRAINTS TO PROVIDE IDEAL  VALUES
               OF DERIVED QUANTITIES SUCH AS BOND LENGTHS, BOND ANGLES, AND  DIHEDRAL  ANGLES.  THESE  IDEAL
               VALUES ARE TREATED AS EXTRA OBSERVED DATA, AND CONTRIBUTIONS TO THE LEAST  SQUARES  EQUATIONS
               ARE EVALUATED IN RATHER THE SAME WAY AS FOR AN INTENSITY OBSERVATION (SEE EQUATIONS (2),  (3)
               AND (4)). HOWEVER, EACH  CONSTRAINT  HAS  ASSOCIATED  WITH  IT  A  STANDARD  DEVIATION,  ALSO
               SUPPLIED BY THE USER, THIS STANDARD DEVIATION IS USED  TO  WEIGHT  THE  CONTRIBUTION  OF  THE
               'CHEMICAL' CONSTRAINTS TO THE LEAST SQUARES EQUATIONS, AND ITS MAGNITUDE DETERMINES HOW  WELL
               THE CONSTRAINT IS OBEYED. A SMALL STANDARD DEVIATION YIELDS A HIGH WEIGHT  AND  ENHANCES  THE
               EFFECT OF THE CONSTRAINT ON THE REFINEMENT, WHEREAS A LARGE STANDARD DEVIATION  WILL  ACHIEVE
               THE OPPOSITE. IF, AT THE END OF THE REFINEMENT,  A  DERIVED  QUANTITY  DIFFERS  SIGNIFICANTLY
               FROM THE VALUE TO WHICH IT WAS CONSTRAINED, THEN THE VALIDITY OF  THE  CONSTRAINT  SHOULD  BE
               CAREFULLY CONSIDERED.

         'STRICT' CONSTRAINTS.
         ---------------------
                       'STRICT' CONSTRAINTS ARE INPUT IN THE FORM OF AN EQUATION RELATING THE PARAMETERS  TO
               BE CONSTRAINED. THE TERMS OF THE EQUATION MAY BE EITHER LINEAR OR QUADRATIC FUNCTIONS OF  THE
               PARAMETERS, BUT ONE, AND ONLY ONE, OF THE PARAMETERS REFERRED TO MUST NOT  BE  REFINED.  THIS
               PARAMETER WILL BE ADJUSTED AFTER EACH REFINEMENT CYCLE  TO  ENSURE  THAT  THE  CONSTRAINT  IS
               OBEYED. WHEN  THE  NON-REFINED  PARAMETER  APPEARS  MULTIPLIED  BY  ITSELF  IN  A  CONSTRAINT
               EQUATION, THERE TWO POSSIBLE SOLUTIONS FOR THIS PARAMETER WHEN THE EQUATION IS SOLVED AT  THE
               END OF THE REFINEMENT CYCLE. THE SOLUTION CHOSEN IS THAT CLOSEST TO THE ORIGINAL VALUE OF THE
               NON-REFINED PARAMETER.

               INDIVIDUAL PARAMETERS ARE SPECIFIED BY TWO INTEGERS WHICH REFER TO THE FOLLOWING TABLE:-

               ICOLUMN       1 2 3  4      5    6  7  8  9     10    11    12    13    14
               -------
               IROW
                  1          X Y Z  B(ISO) SITE KX KY KZ B(11) B(22) B(33) B(12) B(13) B(23)
                  .
                  .
                  .
                  N
                  N+1        P A S1 S2     BO
                   .
               N+NPAT        Z
               N+NPAT+1      U V W
                   .
               N+2*NPAT+1    AA BB CC BC   AC AB
                   .
                             1 2 3  4      5    6  7  8  9     10
               NOTE:-
                       IN THE ABOVE TABLE THE  FIRST  IVALUE(5.3)  ROWS  REPRESENT  THE  PARAMETERS  OF  THE
               IVALUE(5.3) ATOMS IN THE SAME ORDER AS  THE  ATOMS  WERE  INPUT.  IN  ROW  IVALUE(5.3)+1  THE
               SYMBOLS REPRESENT:
                       'P'      THE PREFERRED ORIENTATION PARAMETER.
1

                                      MANUAL FOR MULTIPATTERN RIETVELD PROGRAM                           21.
         ...................................................................................................


                       'A'      THE ASYMMETRY PARAMETER.
                       'S1'     THE SCALE FACTOR FOR NEUTRON OR X-RAY ALPHA-1 DATA.
                       'S2'     THE SCALE FACTOR FOR X-RAY ALPHA-2 DATA.
                       'BO'     THE OVERALL ISOTROPIC TEMPERATURE FACTOR.
               QUANTITIES IN ROW IVALUE(5.3)+2 ARE THE HALFWIDTH  AND  CELL  PARAMETERS  PREVIOUSLY  DEFINED
               (EQUATIONS (6) AND (5) ON PAGE 3).
                       TO SELECT A PARAMETER IN THE ABOVE TABLE, IT  IS  NECESSARY  TO  CHOOSE  THE  CORRECT
               VALUES OF 'IROW' AND 'ICOLUMN'. FOR EXAMPLE, THE TWO INTEGERS '3, 7' DEFINE THE COMPONENT  OF
               THE MAGNETIC VECTOR ALONG THE Y-AXIS (KY) FOR THE THIRD ATOM  OF  THE  INPUT  LIST  (ASSUMING
               IVALUE(5.3) TO BE GREATER THAN TWO).
                       THE INPUT DATA REQUIRED TO DEFINE A 'STRICT' CONSTRAINT EQUATION IS THEN:-

 ********************************************************************************
 *   IN THIS MATRIX THE ANHARMONIC TEMPERATURE FACTOR PARAMETER OCCUPY THE
 *   COLUMNS
 *              15 - 24 :  CIKL
 *              25 - 39 :  DIJKL
 *   OF IROW = 1 - N. THE SEQUENCE CORRESPONDS EXACTLY TO THAT GIVEN AT THE END
 *   OF LINE 14.
 ********************************************************************************


         OPTIONAL LINE SET 26.  'STRICT' CONSTRAINTS
         --------------------------------------------
                       TO BE SUPPLIED ONLY WHEN IVALUE(6.1) IS NON-ZERO.
                       (MIXED INTEGER AND DECIMAL INPUT)



                       IVALUE(6.1) CONSTRAINT EQUATIONS MUST BE SUPPLIED. THE FOLLOWING SPECIFIES  THE  DATA
               TO BE GIVEN FOR EACH SUCH EQUATION. EACH TERM IN  THE  EQUATION  OCCUPIES  ONE  LINE  OF  THE
               INPUT, AND THE INPUT OF TERMS IS TERMINATED BY A LINE WHOSE FIRST VALUE IS -100.

               VALUE(26.1)     THE MULTIPLIER FOR THE CONSTRAINT TERM.

                       IN DETERMINING THE REMAINING VALUES, REFER TO THE ABOVE TABLE:-
               IVALUE(26.2)    THE ROW NUMBER FOR PARAMETER (1).
               IVALUE(26.3)    THE COLUMN NUMBER FOR PARAMETER (1).


                       OPTIONAL IVALUES(26.4) AND (26.5) ARE TO BE GIVEN ONLY FOR QUADRATIC TERMS.
               OPTIONAL IVALUE(26.4)    THE ROW NUMBER FOR PARAMETER (2).
               OPTIONAL IVALUE(26.5)    THE COLUMN NUMBER FOR PARAMETER (2).
                       THE ABOVE FIVE VALUES ARE INPUT FOR EACH OF THE TERMS COMPRISING A CONSTRAINT AT  THE
               RATE OF ONE TERM PER LINE, AND THE INPUT OF TERMS IS TERMINATED BY A LINE  WHERE  VALUE(26.1)
               IS READ AS -100. THE NEXT  LINE  CONTAINS  THE  CONSTRAINT  VALUE,  AND  THE  INPUT  OF  THIS
               TERMINATES THE CONSTRAINT FUNCTION.

               VALUE(26A.1)   THE VALUE OF THE CONSTRAINT FUNCTION.

1

               SOME EXAMPLES
               -------------
               1)
                       IN A STRUCTURE CONTAINING THREE ATOMS, THE SUM OF  THE  SITE  OCCUPATION  FACTORS  OF
               ATOMS (1) AND (3) MAY BE CONSTRAINED TO EQUAL 1.0 BY THE INPUT:-
               1 1 5
               1 3 5
               -100
               1
               THE ABOVE DATA REPRESENT THE EQUATION:
                    1*SITE(1) + 1*SITE(3) = 1
1

                                      MANUAL FOR MULTIPATTERN RIETVELD PROGRAM                           22.
         ...................................................................................................


               2)
                       IN A CUBIC CRYSTAL OF EDGE 10 ANGSTROMS, THE DISTANCE BETWEEN ATOMS 1 AND 2 COULD  BE
               CONSTRAINED TO EQUAL 1.54 ANGSTROMS    = SQRT(2.3716)  BY THE INPUT:-

               100 1 1 1 1
               -200 1 1 2 1
               100 2 1 2 1
               100 1 2 1 2
               -200 1 2 2 2
               100 2 2 2 2
               100 1 3 1 3
               -200 1 3 2 3
               100 2 3 2 3
               -100
               2.3716

               THE ABOVE DATA REPRESENT THE EQUATION:
               100* X(1)-X(2) **2 + 100* Y(1)-Y(2) **2 + 100* Z(1)-Z(2) **2 = 2.3716

                       NOTE THAT IN THIS EXAMPLE ALL THE PARAMETERS IN THE CONSTRAINT  EQUATION  APPEAR  THE
               SQUARE. CONSEQUENTLY, SOLUTION OF THE CONSTRAINT EQUATION AFTER REFINEMENT  WILL  BE  CARRIED
               OUT BY CHOOSING THE NEW VALUE OF THE NON-REFINED PARAMETER WHICH IS CLOSEST TO  THE  ORIGINAL
               VALUE.






         OPTIONAL LINE SET 27.  'CHEMICAL' CONSTRAINTS  (NO LONGER AVAILABLE)
         ----------------------------------------------
                       TO BE SUPPLIED ONLY WHEN IVALUE(6.2) IS GREATER THAN ZERO.

                       THE APPLICATION OF 'CHEMICAL' CONSTRAINTS INVOLVES MODIFICATION OF THE LEAST  SQUARES
               EQUATIONS, AND IS BEST ACHIEVED WHEN ALL OF THE PARAMETERS INVOLVED IN  THE  CONSTRAINTS  ARE
               REFINED. HOWEVER, THE PROGRAM WILL COPE WITH 'CHEMICAL' CONSTRAINTS IN WHICH THIS IS NOT  THE
               CASE, ALTHOUGH A WARNING MESSAGE WILL BE PRINTED.
                       THE INPUT OF 'CHEMICAL' CONSTRAINTS IS CONTROLLED BY A  SERIES  OF  DIRECTIVES  WHICH
               MUST BE PUNCHED EXACTLY AS SHOWN   BEGINNING  AT  COLUMN  ONE  OF  THE  LINE.  THE  AVAILABLE
               DIRECTIVES ARE DETAILED BELOW.

         END
         ---
                       THIS DIRECTIVE TERMINATES THE INPUT OF DATA INITIATED BY ALL OTHER DIRECTIVES  EXCEPT
               'STOP', AND MUST BE SUPPLIED FOR THAT PURPOSE.

         STOP
         ----
                       THIS DIRECTIVE TERMINATES THE INPUT OF  FURTHER  'CHEMICAL'  CONSTRAINTS  DIRECTIVES,
               AND MUST BE THE LAST LINE OF THE 'CHEMICAL' CONSTRAINTS INSTRUCTIONS.

1

                                      MANUAL FOR MULTIPATTERN RIETVELD PROGRAM                           23.
         ...................................................................................................



         ATOM SPECIFICATION
         ------------------
                       THE REMAINING DIRECTIVES ALL REQUIRE  THE  SPECIFICATION  OF  DEFINITE  ATOMIC  SITES
               WITHIN THE UNIT CELL, AND TO THIS END IT IS POSSIBLE TO  APPLY  SYMMETRY  TRANSFORMATIONS  TO
               THE COORDINATES GIVEN IN LINE SET 14. AN ATOMIC SITE IS DEFINED  BY  THE  FOLLOWING  LINE  OF
               INPUT:-

               NAME  IS  TX  TY  TZ

                       AGAIN 'NAME' IS THE IDENTIFIER OF THE ATOM AS GIVEN IN LINE SET 14 AND IS ASSUMED  TO
               OCCUPY THE FIRST FOUR COLUMNS OF THE LINE. LINES  WITH  THE  FIRST  FOUR  COLUMNS  BLANK  ARE
               IGNORED AND HENCE MAY BE USED TO SEPARATE AND CLARIFY A LIST OF ATOM SPECIFICATIONS. 'IS'  IS
               THE INTEGER SERIAL NUMBER OF A SPACEGROUP SYMMETRY OPERATION IN  LINE  SET  11. THE  IDENTITY
               OPERATION (NOT INPUT IN LINE SET 11) IS GIVEN A SERIAL NUMBER OF 1, AND THEREFORE  THE  FIRST
               SPACEGROUP OPERATION GIVEN IN LINE SET 11 HAS A SERIAL NUMBER OF 2. IF 'IS' IS INPUT AS  ZERO
               IT IS SET 1. 'TX', 'TY', AND 'TZ' ARE ADDITIONAL UNIT CELL TRANSLATIONS ALONG THE X,  Y,  AND
               Z CRYSTALLOGRAPHIC AXES RESPECTIVELY. THE SYMMETRY TRANSFORMATION APPLIED TO THE  COORDINATES
               GIVEN IN LINE SET 14 IS:-

               X' = Q*VALUE(11 IS .1)*X + Q*VALUE(11 IS .2) + Q*VALUE(11 IS .3)*Z
                    + VALUE(11 IS .10)  + TX
               Y' = Q*VALUE(11 IS .4)*X + Q*VALUE(11 IS .5)*Y + Q*VALUE(11 IS .6)*Z
                    + VALUE(11 IS .11)  + TY
               Z' = Q*VALUE(11 IS .7)*X + Q*VALUE(11 IS .8)*Y + Q*VALUE(11 IS .9)*Z
                    + VALUE(11 IS .12)  + TZ
                       THE VALUE OF THE FACTOR 'Q' IS 1.0 WHEN 'IS' IS INPUT AS ZERO OR A POSITIVE  INTEGER,
               AND IS -1.0 WHEN 'IS' IS INPUT AS A NEGATIVE INTEGER. THE  SIGN  OF  'IS'  CAN  THEREFORE  BE
               EMPLOYED TO GENERATE SYMMETRY OPERATIONS WHICH ARE RELATED BY A CENTRE OF SYMMETRY  TO  THOSE
               SUPPLIED IN LINE SET 14.


               AN EXAMPLE
               ----------
               C25
               CAR1 -1
               W   3 0 0.5 0.5
                       IN THE ABOVE, THE COORDINATES OF ATOM 'C25' WILL BE USED AS GIVEN  IN  LINE  SET  12,
               THOSE OF 'CAR1' WILL BE INVERTED THROUGH A CENTRE OF SYMMETRY AT THE ORIGIN  SINCE  OPERATION
               1 IS ALWAYS (X,Y,Z)  AND THOSE OF 'W' WILL BE TRANSFORMED BY  SPACEGROUP  SYMMETRY  OPERATION
               (3) AND AN ADDITIONAL TRANSLATION OF (0,0.5,0.5) APPLIED.



         DISTANCES
         ---------
                       THE 'DISTANCES' DIRECTIVE IS IMMEDIATELY FOLLOWED BY A LINE CONTAINING THE  VALUE  TO
               WHICH DISTANCES ARE TO BE CONSTRAINED AND ITS STANDARD  DEVIATION.  ATOM  SPECIFICATIONS  ARE
               THEN INPUT IN PAIRS UNTIL AN 'END' DIRECTIVE IS ENCOUNTERED.
               AN EXAMPLE
               ----------
               DISTANCES
               1.54 0.01
               C3
1

                                      MANUAL FOR MULTIPATTERN RIETVELD PROGRAM                           24.
         ...................................................................................................

               C4

               CAR1

               C1  2
               END
                       DISTANCES C3-C4 AND CAR1-C1 ARE CONSTRAINED TO BE EQUAL  TO  1.54  ANGSTROMS  WITH  A
               STANDARD DEVIATION OF 0.01, C1 IS TRANSFORMED BY SPACEGROUP  SYMMETRY  OPERATION  (2)  BEFORE
               THE  DISTANCE  CAR1-C1  IS  CALCULATED.  NOTE  THAT  THE  BLANK  LINES  SEPARATING  THE  ATOM
               SPECIFICATIONS ARE IGNORED ON INPUT.




         MEAN DISTANCE
         -------------
                       THE 'MEAN DISTANCE' DIRECTIVE IS  IMMEDIATELY  FOLLOWED  BY  A  LINE  CONTAINING  THE
               STANDARD DEVIATION. MORE THAN ONE  PAIR  OF  ATOM  SPECIFICATIONS  MUST  BE  GIVEN  FOR  THIS
               CONSTRAINT TO BE EFFECTIVE. THE VALUE TO WHICH DISTANCES ARE CONSTRAINED IS  THE  MEAN  VALUE
               OF ALL THE DISTANCES SPECIFIED IN THE CONSTRAINT.
               AN EXAMPLE
               ----------
               MEAN DISTANCE
               0.01
               C1
               C2

               C3
               C4

               C5
               C6
               END
                       THE DISTANCE BETWEEN C1-C2, C3-C4, AND C5-C6 ARE  CONSTRAINED  TO  THEIR  MEAN  VALUE
               WITH A STANDARD DEVIATION OF 0.01.



         SAME DISTANCE
         -------------
                       THE INPUT IS SIMILAR TO 'MEAN DISTANCE', BUT DISTANCES ARE CONSTRAINED  TO  BE  EQUAL
               TO THE DISTANCE BETWEEN THE FIRST PAIR OF ATOMS SPECIFIED.
               AN EXAMPLE
               ----------
               SAME DISTANCE
               0.01
               C1
               C2

               C3
               C4

               C5
               C6
               END
1
                                      MANUAL FOR MULTIPATTERN RIETVELD PROGRAM                           25.
         ...................................................................................................



                       THE DISTANCES C3-C4 AND C5-C6 ARE CONSTRAINED TO BE EQUAL TO DISTANCE C1-C2.





         ANGLES
         ------
                       THE 'ANGLES' DIRECTIVE MUST BE IMMEDIATELY FOLLOWED BY A LINE  CONTAINING  THE  VALUE
               TO WHICH ANGLES ARE TO BE CONSTRAINED (IN DEGREES) AND ITS  STANDARD  DEVIATION.  THREE  ATOM
               SPECIFICATIONS ARE NEEDED TO DEFINE EACH ANGLE, AND THE SECOND ATOM IS TAKEN AS THE VERTEX.
               AN EXAMPLE
               ----------
               ANGLES
               120 0.1
               C1
               C2
               C3
               END
                       THE ANGLE C1-C2-C3 IS CONSTRAINED  TO  BE  EQUAL  TO  120  DEGREES  WITH  A  STANDARD
               DEVIATION OF 0.1.




         MEAN ANGLE
         ----------
                       THE CONSTRUCTION IS SIMILAR TO 'MEAN DISTANCE', EXCEPT THAT THREE  ATOMS  ARE  NEEDED
               TO DEFINE EACH ANGLE.
               AN EXAMPLE
               ----------
               MEAN ANGLE
               0.1
               C1
               C2
               C3

               C2
               C3
               C4

               C5
               C6
               C7
               END
                       THE ANGLES C1-C2-C3, C2-C3-C4, AND C3-C4-C5 ARE CONSTRAINED  TO  BE  EQUAL  TO  THEIR
               MEAN VALUE WITH A STANDARD DEVIATION OF 0.1


         SAME ANGLE
         ----------
                       THE CONSTRUCTION IS SIMILAR TO 'SAME DISTANCE' EXCEPT THAT THREE ATOM  SPECIFICATIONS
               MUST BE GIVEN TO DEFINE EACH ANGLE.
1

                                      MANUAL FOR MULTIPATTERN RIETVELD PROGRAM                           26.
         ...................................................................................................


               AN EXAMPLE
               ----------
               SAME ANGLE
               0.01
               C1
               C2
               C3

               C2
               C3
               C4

               C3
               C4
               C5
               END
                       THE ANGLES C2-C3-C4 AND C3-C4-C5 ARE CONSTRAINED TO BE EQUAL TO ANGLE  C1-C2-C3  WITH
               A STANDARD DEVIATION OF 0.01



         VECTOR ANGLES
         -------------
                       A CONSTRAINT IS APPLIED TO THE ANGLE BETWEEN TWO VECTORS , EACH OF WHICH  IS  DEFINED
               BY TWO ATOMS. FOUR ATOM SPECIFICATIONS MUST THEREFORE BE GIVEN FOR EACH CONSTRAINT.  THE  TWO
               VECTORS ARE TAKEN AS ATOM (1) TO ATOM (2) AND ATOM  (3)  TO  ATOM  (4).  THE  ATOMS  MUST  BE
               ARRANGED PROPERLY TO DEFINE THE CORRECT ANGLE. WHEN ATOMS (1)  AND  (3)  ARE  THE  SAME,  THE
               'VECTOR ANGLES' DIRECTIVE PRODUCES THE SAME RESULT AS  THE  'ANGLE'  DIRECTIVE.  THE  'VECTOR
               ANGLES' INSTRUCTION MUST BE IMMEDIATELY FOLLOWED BY A LINE  CONTAINING  THE  VALUE  TO  WHICH
               ANGLES ARE TO BE CONSTRAINED AND THE STANDARD DEVIATION.
               AN EXAMPLE
               ----------
               VECTOR ANGLES
               60 0.1
               C2
               C1
               C3
               C4
               END
                       THE ANGLE BETWEEN VECTORS C2 TO C1 AND C3 TO C4 IS CONSTRAINED TO 60 DEGREES  WITH  A
               STANDARD DEVIATION OF 0.1.





          MEAN VECTOR ANGLE
         -----------------
                       THE CONSTRUCTION IS SIMILAR TO 'MEAN DISTANCE' EXCEPT THAT FOUR  ATOM  SPECIFICATIONS
               MUST BE GIVEN TO DEFINE EACH ANGLE.
               AN EXAMPLE
               ----------
               MEAN VECTOR ANGLE
               0.1
1

                                      MANUAL FOR MULTIPATTERN RIETVELD PROGRAM                           27.
         ...................................................................................................


               C1
               C2
               C3
               C4
               C2
               C3
               C4
               C5
               C3
               C4
               C5
               C6
               END
                       THE ANGLES BETWEEN VECTORS C1 TO C2 AND C3 TO C4, AND C3 TO C4 AND C5 TO C6,  AND  C2
               TO C3 AND C4 TO C5 ARE CONSTRAINED TO BE EQUAL TO THEIR MEAN VALUE WITH A STANDARD  DEVIATION
               OF 0.1.


         SAME VECTOR ANGLE
         -----------------
                       THE CONSTRUCTION IS SIMILAR TO 'SAME DISTANCE' EXCEPT THAT FOUR  ATOM  SPECIFICATIONS
               MUST BE SUPPLIED TO DEFINE EACH ANGLE.
               AN EXAMPLE
               ----------
               SAME VECTOR ANGLE
               0.1
               C1
               C2
               C3
               C4
               C2
               C3
               C4
               C5
               C3
               C4
               C5
               C6
               END
                       THE ANGLES BETWEEN VECTORS C2 TO C3 AND C3 TO C4, AND C3 TO  C4  AND  C5  TO  C6  ARE
               CONSTRAINED TO BE EQUAL TO THE ANGLE BETWEEN VECTORS C1 TO C2 AND C3 TO C4  WITH  A  STANDARD
               DEVIATION OF 0.1.



         TORSION ANGLES
         --------------
                       A CONSTRAINT IS APPLIED TO THE TORSION ANGLE  DEFINED  BY  FOUR  ATOMS.  THE  TORSION
               ANGLE IS THE ANGLE BETWEEN THE PLANES FORMED BY  ATOMS (1), (2), AND (3) AND  (2),  (3),  AND
               (4). THE FOUR ATOMS ALSO DEFINE THREE VECTORS, 'U', 'V', AND 'W',  WHICH  ARE:  ATOM  (1)  TO
               ATOM(2); ATOM(2) TO ATOM(3); AND ATOM(3) TO ATOM(4), RESPECTIVELY. THE TORSION ANGLE LIES  IN
               THE RANGE -180 TO 0 TO +180 DEGREES, AND ITS SIGN IS DETERMINED BY THE FOLLOWING SCHEME:  THE
               GROUP OF FOUR ATOMS IS ARRANGED IN A STANDARD ORIENTATION WITH  THE  PLANE  FORMED  BY  ATOMS
               (1), (2), AND (3) HORIZONTAL, THE VECTOR (2) TO (3) POINTING  AWAY  FROM  THE  OBSERVER,  AND
1

                                      MANUAL FOR MULTIPATTERN RIETVELD PROGRAM                           28.
         ...................................................................................................


               ATOM(1) TO THE LEFT OF THE VECTOR (2) TO (3) AS SEEN BY THE OBSERVER.  THE TORSION  ANGLE  IS
               POSITIVE IF ATOM (4) IS ABOVE THE PLANE OF (1), (2), AND (3), AND NEGATIVE  IF  ATOM  (4)  IS
               BELOW THIS PLANE.  IN MATHEMATICAL TERMS, THE TORSION ANGLE TAKES  THE  SIGN  OF  (U  X  V).W
               WHERE 'X' REPRESENTS A VECTOR PRODUCT, AND '.'  A  SCALAR  PRODUCT.   A  ZERO  TORSION  ANGLE
               OBTAINS WHEN ALL FOUR ATOMS ARE COPLANAR AND, WHEN VIEWED IN THE STANDARD  ORIENTATION,  ATOM
               (4) IS TO THE LEFT OF THE VECTOR (2) TO (3) AS SEEN BY THE OBSERVER. A TORSION ANGLE  OF  180
               DEGREES OBTAINS WHEN THE ATOMS ARE COPLANAR AND ATOM (4) IS TO THE RIGHT OF  THE  VECTOR  (2)
               TO (3) AS SEEN BY THE THE OBSERVER. A MORE COMPLETE DISCUSSION IS GIVEN BY  (AMONGST  OTHERS)
               U. SHMUELI ACTA CRYSTALLOGRAPHICA 1974, VOLUME A30, PP. 848-849.
                       THE 'TORSION ANGLES' DIRECTIVE MUST BE IMMEDIATELY FOLLOWED BY A LINE CONTAINING  THE
               VALUE TO WHICH ANGLES ARE TO BE CONSTRAINED, AND THE STANDARD DEVIATION. THERE  THEN  FOLLOWS
               GROUP(S) OF FOUR ATOM SPECIFICATIONS DEFINING THE TORSION ANGLE(S).
               AN EXAMPLE
               ----------
               TORSION ANGLES
               0 0.1
               C1
               C2
               C3
               C4

               C2
               C3
               C4
               C5

               C3
               C4
               C5
               C6
               END
                       THE TORSION ANGLES C1-C2-C3-C4, C2-C3-C4-C5, AND C3-C4-C5-C6 ARE CONSTRAINED  TO  0.0
               DEGREES WITH A STANDARD DEVIATION OF 0.1.


         MEAN TORSION ANGLE
         ------------------
                       THE CONSTRUCTION IS SIMILAR TO 'MEAN DISTANCE' EXCEPT THAT FOUR ATOMS ARE  NEEDED  TO
               DEFINE EACH ANGLE.
               AN EXAMPLE
               ----------
               MEAN TORSION ANGLE
               0.1
               C1
               C2
               C3
               C4
               C2
               C3
               C4
               C5
               C3
               C4
               C5

                                      MANUAL FOR MULTIPATTERN RIETVELD PROGRAM                           29.
         ...................................................................................................

               C6
               END
                       THE TORSION ANGLES C1-C2-C3-C4,  C2-C3-C4-C5,  AND  C3-C4-C5-C6  ARE  CONSTRAINED  TO
               THEIR MEAN VALUE WITH A STANDARD DEVIATION OF 0.1.


         SAME TORSION ANGLE
         ------------------
                       THE CONSTRUCTION IS SIMILAR TO 'SAME DISTANCE' EXCEPT THAT FOUR  ATOM  SPECIFICATIONS
               ARE NEEDED TO DEFINE EACH ANGLE.
               AN EXAMPLE
               ----------
               SAME TORSION ANGLE
               0.1
               C1
               C2
               C3
               C4

               C2
               C3
               C4
               C5

               C3
               C4
               C5
               C6
               END
                         TORSION  ANGLE  C2-C3-C4-C5,  AND  C3-C4-C5-C6  ARE  CONSTRAINED  TO  BE  EQUAL  TO
               C1-C2-C3-C4 WITH A STANDARD DEVIATION OF 0.1.



         THE CASE OF THE PHENYL GROUP
         ----------------------------

               A POSSIBLE APPLICATION OF CONSTRAINED REFINEMENT.
               -------------------------------------------------


                       DETAILED BELOW IN A FORM SUITABLE FOR INPUT ARE SOME OF THE CONSTRAINTS  WHICH  COULD
               BE APPLIED TO A PHENYL GROUP THE ATOMS OF WHICH ARE NUMBERED CYCLICLY FROM 1 TO 6.


               DISTANCES
               1.395 0.005
               C1
               C2
               C3
               C4
               C2
               C3
               C4
               C5
1

                                      MANUAL FOR MULTIPATTERN RIETVELD PROGRAM                           30.
         ...................................................................................................

               C5
               C6
               C6
               C1
               END
               ANGLES
               120 0.1
               C1
               C2
               C3
               C2
               C3
               C4
               C3
               C4
               C5
               C4
               C5
               C6
               C5
               C6
               C1
               C6
               C1
               C2
               END
               VECTOR ANGLES
               0 0.1
               C1
               C2
               C5
               C4
               C2
               C3
               C6
               C5
               C3
               C4
               C1
               C6
               END
               TORSION ANGLES
               0 0.1
               C1
               C2
               C3
               C4
               C2
               C3
               C4
               C5
               C3
               C4
               C5
               C6
1
                                      MANUAL FOR MULTIPATTERN RIETVELD PROGRAM                           31.
         ...................................................................................................


               C4
               C5
               C6
               C1
               C5
               C6
               C1
               C2
               C6
               C1
               C2
               C3
               END
               STOP

                       NOTE THE USE  OF  THE  'STOP'  INSTRUCTION  TO  TERMINATE  THE  INPUT  OF  CONSTRAINT
               DIRECTIVES.








         OPTIONAL LINE 28.  PROFILE OUTPUT
         ----------------------------------
                       TO BE SUPPLIED ONLY WHEN IVALUE(5.2) IS NON-ZERO.
                       (ALL VALUES INPUT AS INTEGERS)


               IVALUE(28.1)    THE COUNT INTERVAL CORRESPONDING TO ONE LINE PRINTER
                               COLUMN IN THE PLOT OF OBSERVED AND CALCULATED
                               PROFILES. THE SUGGESTED VALUE IS:
                               (MAXIMUM OBSERVED COUNT/120).
                               IF INPUT AS ZERO, IVALUE(28.1) IS SET 50.


               IVALUE(28.2)    THE COUNT INTERVAL CORRESPONDING TO ONE LINE PRINTER
                               COLUMN IN THE PLOT OF THE DIFFERNCE BETWEEN THE
                               OBSERVED AND CALCULATED PROFILES. THE SUGGESTED
                               VALUE IS 50. IF INPUT AS ZERO, IVALUE(28.2)
                               IS SET TO 50.


               IVALUE(28.3)    THE MINIMUM COUNT THAT WILL BE PLOTTED IN THE
                               OBSERVED PROFILE. THE SUGGESTED VALUE IS ZERO.



                       OPTIONAL LINE 28 IS THE LAST LINE  OF  DATA  REQUIRED  BY  THE  STRUCTURE  REFINEMENT
               PROGRAM.

1

                                      MANUAL FOR MULTIPATTERN RIETVELD PROGRAM                           32.
         ...................................................................................................





           AUTHORS
           -------

           P.J. BENDALL, INORGANIC CHEMISTRY LABORATORY, OXFORD
            NOW AT LOGICA LTD., LONDON

           M.W. THOMAS,  MATERIALS PHYSICS DIVISION, AERE HARWELL
            NOW AT LOGICA LTD., COBHAM, SURREY

           THE AUTHOR OF THE ORIGINAL PROGRAM ON WHICH THIS VERSION IS BASED;
           P.J. CLARKE, FORMERLY AT THE CHEMICAL CRYSTALLOGRAPHY LABORATORY,OXFORD
            NOW AT LOGICA LTD., LONDON


           REFERENCES TO THE PROGRAM
           -------------------------
           THE APPROPRIATE REFERENCES TO THE PROGRAM ARE:

           P.J. BENDALL, D. PHIL. THESIS, OXFORD UNIVERSITY  (1980)
           P.J. BENDALL AND M.W. THOMAS, AERE REPORT MPD/NBS/...    (1980)
           M.W. THOMAS AND P.J. BENDALL, ACTA CRYST. VOL. A34 S351  (1978)
           M.W. THOMAS AND P.J. BENDALL, 'CONFERENCE ON DIFFRACTION PROFILE ANALYSIS'
             KRAKOW, AUG. 14-15 1978


           DISCLAIMER
           ----------
           WHILE THE PROGRAM HAS BEEN TESTED BY THE AUTHORS, NO WARRANTY (EXPRESSED OR IMPLIED) IS
           GIVEN CONCERNING THE PROPER FUNCTIONING OF THE PROGRAM.


           ENQUIRIES ABOUT THE AVAILABILITY OF THE PROGRAM
           -----------------------------------------------
           SHOULD BE ADDRESSED TO:


          DR. P.D. BATTLE               OR     DR. B.E.F. FENDER
          INORGANIC CHEMISTRY LABORATORY       INSTITUT LAUE-LANGEVIN
          SOUTH PARKS ROAD                     AVENUE DES MARTYRS
          OXFORD OX1 3QR                       B.P. 156X
                                               38042 GRENOBLE
                                               FRANCE
          (TEL. 0865-57387)                    (TEL. (76) 97.41.11)

         ...................................................................................................



