

C    *******************************************************************MA
C    *                                                                 *MA
C    * MAIN PROGRAM F419. FORTRAN IV VERSION OF PROGRAM T419.          *MA
C    * THIS PROGRAM PREPARES THE MAGNETIC TAPE INPUT FOR PROGRAM F418. *MA
C    * FORTRAN IV VERSION                          DECEMBER 1972       *MA
C    * H.M.RIETVELD, REACTOR CENTRUM NEDERLAND, PETTEN(N.H.)           *MA
C    *                                                                 *MA
C    *******************************************************************MA
C    *                                                                 *MA
C    * THIS VERSION FOR PREPARATION OF DATA CONTAINING MORE THAN ONE   *MA
C    * PATTERN                                     NOVEMBER 1977       *MA
C    * P.J.BENDALL, INORGANIC CHEMISTRY LABORATORY, OXFORD             *MA
C    *******************************************************************MA
C    * FTN4 -> FTN5 + LITTLE CHANGES + IMPROVEMENT  H. SCHRADER JAN'86  MA
C    * MAX. NUMBER OF PATTERNS CHANGED FROM 3 TO 5              MAY'86
C    *******************************************************************MA
C    *                    VARIABLE DIMENSIONS                          *MA
C    *      N=MAXIMUM NUMBER OF REFLECTIONS                            *MA
C     *      B=MAXIMUM NUMBER OF BACKGROUND POSITIONS                   *MA
C    *      L=MAXIMUM NUMBER OF EXCLUDED REGIONS                       *MA
C    *      I=MAXIMUM NUMBER OF PROFILE INTENSITIES                    *MA
C    * MNOVRF=MAXIMUM NUMBER OF OVERLAPPING REFLECTIONS                *
C    *   NPAT=MAXIMUM NUMBER OF PATTERNS                               *
C    *                              *****                              *MA
C    *                 ARRAYS WITH VARIABLE DIMENSIONS                 *MA
C    *     BAK(B)              TT(N)               HWL(N)              *MA
C    *     IHILO(N)            IH(5,N)             IHIGH(L)            *MA
C    *     ICM(N)              INDEX(N)            LOW(L)              *MA
C    *     YY(I)               LL(N)               T(N)                *MA
C    *     PLOR(N)             POS(B)              SLABDA(2)           *MA
C    *******************************************************************MA
C                            ******************                         MA
C                            * PRESENT VALUES *                         MA
C                            *      N =1500   *                         MA
C                            *      B = 150   *                         MA
C                            *      L =  50   *                         MA
C                            *      I =9999   *                         MA
C                            * MNOVRF = 100   *
C                            *   NPAT =   5   *
C                            ******************                         MA
C                       ****************************                    MA
C                       *   UNIT 6 = LINEPRINTER   *                    MA
C                       *   UNIT 5 = CARDREADER    *                    MA
C                       *   UNIT 2 = TEMPORARY DATA*                    MA
C                       *            SET ON DISK   *                    MA
C                       ****************************                    MA
C                                                                       MA
      EXTERNAL PPP
C
      DIMENSION A(3,3),BAK(150),DUMPA(500),SLABDA(2),HWL(1500),IH(5,
     2 1500),IHIGH(50),INDEX(1500),LOW(50),NH(5,3),PLOR(1500),POS(150),
     3 TEXT(20),TT(1500),YY(9999),IHT(9999),ICM(1500),IHILO(9999)       MA
      DIMENSION BCELL(5,3,3),P(5),Q(5),R(5),IW(9999)                    MA
C                                                                       MA
      DIMENSION IREDIN(50)                                              MA
C                                                                       MA
C                                                                       MA
      COMMON DUMPA,II,NKEY,TEXT,NTEXT,KSTART                            MA
      COMMON TL(1500),LL(1500)                                          MA
C                                                                       MA
      COMMON /INPUT/NREAD,NPOINT,IRED,MODE,LINO,IDISML,ICHARS(14),
     2 ICARD(80),READIN(50)                                             MA
C                                                                       MA
C                                                                       MA
      EQUIVALENCE (READIN(1),IREDIN(1))                                 MA
C                                                                       MA
C                                                                       MA
      DATA NOX/3HNO./,BLANK/4H    /,MNOVRF/0/                           MA
C.....WHEN ANGLES IN 1/100TH DEGREES,FOLLOWING STATEMENT SHOULD READ:   MA
C     RAD=3.14159265359/36000.                                          MA
      RAD=3.14159265359/36000.                                          MA
      OPEN(5,FILE='prepein')
      OPEN(16,FILE='lppr')
      OPEN(3,FILE='tempo',FORM='UNFORMATTED')
      OPEN(4,FILE='exc')
C.....READ AND PRINT TITLE                                              MA
      WRITE(16,650)                                                      MA
      WRITE(16,660)                                                      MA
      READ(5,670,END=15000)TEXT
15000 WRITE(16,910)TEXT
C.....CLEAR DUMP ARRAYS                                                 MA
      DO 20 I=1,500                                                     MA
20    DUMPA(I)=0.                                                       MA
C
      DO 25 I=1,1500
      HWL(I)=0.0
      INDEX(I)=0
      TT(I)=0.0
      TL(I)=0.0
      LL(I)=0
      PLOR(I)=0.0
      ICM(I)=0
        DO 27 J=1,3
27      IH(J,I)=0
25    CONTINUE
      DO 28 I=1,3
      P(I)=0.0
      Q(I)=0.0
      R(I)=0.0
        DO 29 J=1,3
        A(J,I)=0.0
        NH(J,I)=0
          DO 29 K=1,3
          BCELL(K,J,I)=0.0
29      CONTINUE
28    CONTINUE
      DO 31 I=1,10
      IHIGH(I)=0
31    LOW(I)=0
      NPAT=0
      NKEY=0                                                            MA
      II=0
      LINO=0                                                         
C.....READ AND PRINT NUMBER OF PATTERNS                                 MA
      IBEG=1                                                            MA
      NREAD=1                                                           MA
      IRED=1                                                            MA
C&      CALL INITD(IBEG)
C&      CALL   FREIN
      READ(5,10)NPAT
10    FORMAT(I8)
C&      NPAT=IREDIN(1)                                                    MA
      IF(NPAT.EQ.0)NPAT=1                                               MA
      CALL DUMP(12345.)                                                 MA
      CALL DUMP(BLANK)                                                  MA
C                                                                       MA
C.....READ CELL DIMENSIONS FOR EACH PATTERN                             MA
      DO 40 I=1,NPAT                                                    MA
      WRITE(16,950)I                                                     MA
      WRITE(16,920)                                                      MA
      CALL CELL(A)                                                      MA
      DO 30 J=1,3                                                       MA
      DO 30 K=1,3                                                       MA
30    BCELL(I,K,J)=A(K,J)                                               MA
40    CONTINUE                                                          MA
C.....READ AND PRINT WAVELENGTH(S),ZEROPOINT.....                       MA
      NREAD=7                                                           MA
      IRED=1                                                            MA
      CALL INITD(IBEG)                                                  MA
      CALL  FREIN                                                       MA
      ZERO=READIN(1)                                                    MA
      SBB=READIN(2)                                                      MA
      SLABDA(1)=READIN(3)                                               MA
      SLABDA(2)=READIN(5)                                               MA
      WDT=READIN(4)                                                     MA
      CTHM=READIN(6)                                                    MA
      TMU=READIN(7)                                                     MA
      IF(CTHM.LE.0.001)CTHM=1.0                                         MA
      IF(WDT.LT..001)WDT=1.5                                            MA
      WRITE(16,810)SLABDA(1),SLABDA(2)                                   MA
      WRITE(16,820)ZERO                                                  MA
      WRITE(16,60)SBB                                                     MA
      WRITE(16,70)WDT                                                    MA
      WRITE(16,50)CTHM                                                   MA
      WRITE(16,80)TMU                                                    MA
50    FORMAT(27H MONOCHROMATOR CORRECTION =,F8.4)                       MA
60    FORMAT(35H WEIGHTS CALCULATED FROM W=250/I+B+,F6.0,3H**2)         MA
70    FORMAT(23H BASE OF PEAK = 2.0*HW*,F8.2)                           MA
80    FORMAT(28H ABSORPTION CORRECTION=-0.1*,F8.4,11H*SIN 2THETA)       MA
C.....READ AND PRINT HALFWIDTH PARAMETERS FOR EACH PATTERN              MA
      DO 90 KJ=1,NPAT                                                   MA
      NREAD=3                                                           MA
      IRED=1                                                            MA
      CALL INITD(IBEG)                                                  MA
      CALL  FREIN                                                       MA
      P(KJ)=READIN(1)                                                   MA
      Q(KJ)=READIN(2)                                                   MA
      R(KJ)=READIN(3)                                                   MA
      WRITE(16,830)KJ                                                    MA
      WRITE(16,930)                                                      MA
      WRITE(16,840)P(KJ),Q(KJ),R(KJ)                                     MA
90    CONTINUE                                                          MA
C.....READ BACKGROUND ESTIMATES                                         MA
      I=1                                                               MA
      NREAD=2                                                           MA
100   IRED=1                                                            MA
      CALL INITD(IBEG)                                                  MA
      CALL  FREIN                                                       MA
      POS(I)=READIN(1)                                                  MA
      BAK(I)=READIN(2)                                                  MA
      IF(POS(I)+100.)110,120,110                                        MA
110   I=I+1                                                             MA
      GOTO 100                                                          MA
120   NB=I-1                                                            MA
      WRITE(16,850)                                                      MA
      WRITE(16,860)(POS(I),BAK(I),I=1,NB)                                MA
      IDISML=1                                                          MA
      IRED=1                                                            MA
      CALL INITD(IBEG)                                                  MA
      CALL  FREIN                                                       MA
      N=IREDIN(1)                                                       MA
      IHIGH(1)=IREDIN(2)                                                MA
C.....WHEN N IS NEGATIVE,THE LOWER AND UPPER LIMITS OF THOSE PARTS OF   MA
C     THE DIAGRAM,WHICH HAVE TO BE EXCLUDED FROM THE CALCULATIONS, HAVE MA
C     TO BE READ IN.                                                    MA
      NCU=0                                                             MA
      IF(N)130,200,200                                                  MA
130   I=1                                                               MA
140   IF(I-1)160,150,160                                                MA
150   LOW(I)=-N                                                         MA
      IHIGH(I)=-IHIGH(I)                                                MA
      GOTO 170                                                          MA
160   IRED=1                                                            MA
      CALL INITD(IBEG)                                                  MA
      CALL  FREIN                                                       MA
      LOW(I)=-IREDIN(1)                                                 MA
      IHIGH(I)=-IREDIN(2)                                               MA
170   IF(LOW(I)-100)180,190,180                                         MA
180   I=I+1                                                             MA
      GOTO 140                                                          MA
190   NCU=I-1                                                           MA
      WRITE(16,880)                                                      MA
      WRITE(16,890)(LOW(I),IHIGH(I),I=1,NCU)                             MA
      NREAD=1                                                           MA
      IRED=1                                                            MA
      CALL INITD(IBEG)                                                  MA
      CALL  FREIN                                                       MA
      N=IREDIN(1)                                                       MA
200   IF(NCU.EQ.0)WRITE(6,870)                                          MA
C.....READ IN DENOMINATORS OF MILLER INDICES                            MA
      WRITE(16,680)                                                      MA
      DO 220 KJ=1,NPAT                                                  MA
      NREAD=3                                                           MA
      IRED=1                                                            MA
      CALL INITD(IBEG)                                                  MA
      CALL  FREIN                                                       MA
      DO 210 I=1,3                                                      MA
      NH(KJ,I)=IREDIN(I)                                                MA
210   CONTINUE                                                          MA
      WRITE(16,690)KJ,(NH(KJ,I),I=1,3)                                   MA
220   CONTINUE                                                          MA
C.....READ REFLECTIONS AND CALCULATE FOR EACH THE LORENTZ               MA
C     FACTOR,THE POSITION AND THE HALFWIDTH.                            MA
      NREF=N                                                            MA
      I=1                                                               MA
      DO 260 III=1,NREF                                                 MA
      READ(5,700,END=10001)ICODE,(IH(J,I),J=1,3),M
10001 D=0.
      IF(ICODE.LT.10)ICODE=ICODE+10                                     MA
      ICM(I)=100*ICODE+M                                                MA
C.....BREAK UP COMPOSITE CODEWORD INTO PATTERN AND TYPE                 MA
      KJ=ICODE/10                                                       MA
      IC=ICODE-10*KJ                                                    MA
      ICODD=IC                                                          MA
      IF(IC.LE.4)IC=1                                                   MA
      IF(IC.EQ.5)IC=2                                                   MA
      DO 230 J=1,3                                                      MA
      DO 230 K=J,3                                                      MA
230   D=BCELL(KJ,J,K)*IH(J,I)*IH(K,I)/(NH(KJ,J)*NH(KJ,K))+D             MA
      DLABDA=0.25*SLABDA(IC)*SLABDA(IC)                                 MA
      D=DLABDA*D                                                        MA
      IF(D-1.0)250,240,240                                              MA
240   N=N-1                                                             MA
      GOTO 260                                                          MA
250   ABS=1.0-0.2*TMU*SQRT(D*(1.0-D))                                   MA
      PLOR(I)=1./(2.*D*SQRT(1.-D))                                      MA
      IF(ICODD.GE.4)PLOR(I)=PLOR(I)*(1.+(1.-2.*D)*(1.-2.*D)*CTHM)*ABS   MA
      TAN=SQRT(D/(1.-D))                                                MA
      TL(I)=ATAN(TAN)/RAD+ZERO                                          MA
      HWL(I)=SQRT(P(KJ)*TAN*TAN+Q(KJ)*TAN+R(KJ))                        MA
      INDEX(I)=0                                                        MA
      I=I+1                                                             MA
260   CONTINUE                                                          MA
      NREF=NREF-N                                                       MA
      WRITE(16,270)NREF                                                  MA
270   FORMAT(1H0,I5,
     2 54H REFLECTIONS REJECTED WITH SINE THETA GREATER THAN 1.0)       MA
      CALL SORT(N)                                                      MA
C                                                                       MA
C.....OPEN OUTPUT CHANNELS YOBS, BACK
C
      OPEN(7,FILE='yobs')
      REWIND 7
      OPEN(8,FILE='back')
      REWIND 8
C.....READ PROFILE INTENSITIES                                          MA
      READ(5,710,END=10002)IALFA,ISTAP,IOMEG
10002 POS(NB+1)=IOMEG+ISTAP
      BAK(NB+1)=BAK(NB)                                                 MA
      MAXR=N                                                            MA
      WDTMAX=0.
      DO 275 I=1,MAXR
      IF(WDTMAX.LT.HWL(I)) WDTMAX=HWL(I)
  275 CONTINUE
      WDTMAX=WDTMAX*WDT
      PI=FLOAT(ISTAP)/(100.*SQRT(RAD))                                  MA
      JJ=1                                                              MA
      I=1                                                               MA
      MINR=1                                                            MA
      IS=IALFA                                                          MA
C.....READ IN ONE RECORD OF 10 INTENSITIES                              MA
280   IF(IALFA.GT.10)GOTO 290                                           MA
      READ(5,940,END=10003)IHT(JJ),YY(JJ)
      WRITE(7,941)FLOAT(IHT(JJ))*.01,YY(JJ)
10003 IS=IHT(JJ)
      GOTO 300                                                          MA
290   J=JJ-(JJ-1)/10*10                                                 MA
      JJ9=JJ+9                                                          MA
      IF(J.EQ.1)READ(5,720,END=300  )(IW(J),YY(J),J=JJ,JJ9)
300   Y=YY(JJ)                                                          MA
      IF(IALFA.GT.10)      WRITE(7,941)FLOAT(IS)*.01,Y
C.....DETERMINE WHETHER INTENSITY IS IN EXCLUDED RANGE                  MA
      LOWJ=0                                                            MA
      IHIGHJ=0                                                          MA
      IF(NCU)330,330,310                                                MA
310   DO 320 J=1,NCU                                                    MA
      IF((IS.GE.LOW(J)).AND.(IS.LE.IHIGH(J)))Y=0.                       MA
320   YY(JJ)=Y                                                          MA
330   IF(Y.EQ.0.)GOTO 390                                               MA
      MARK=0                                                            MA
C.....DETERMINE WHAT REFLECTIONS CAN CONTRIBUTE TO INTENSITY I.E. ARE   MA
C     WITHIN 1.5*HALFWIDTH FROM INTENSITY POSITION.                     MA
      MINRT=MINR
      MAXRT=MAXR
      DO 370 J=MINR,MAXR                                                MA
      LLS=LL(J)                                                         MA
      WIDTH=HWL(LLS)*WDT                                                MA
      ST=TL(LLS)                                                        MA
      MIN=ST-WIDTH-0.5                                                  MA
      MAX=ST+WIDTH+0.5                                                  MA
      MINMIN=ST-WDTMAX-0.5
      IF(IS.LT.MINMIN) GOTO 380
C     IF(INDEX(J+1).EQ.-1) MARK=0
      IF(J.GT.1.) THEN
       DO 331 IJ=MINRT,J-1
       LLST=LL(IJ)
       WIDTHT=HWL(LLST)*WDT
       STT=TL(LLST)
       MAXT=STT+WIDTHT+0.5
       IF(MAX.GE.MAXT) GOTO 331
      MAX=MAXT
      MINRT=IJ
  331  CONTINUE
       ENDIF
      IF(J.LT.MAXR) THEN
       DO 332 IJ=J+1,MAXRT
       LLST=LL(IJ)
       WIDTHT=HWL(LLST)*WDT
       STT=TL(LLST)
       MINT=STT-WIDTHT-0.5
      MINMIN=STT-WDTMAX-0.5
      IF(IS.LE.MINMIN) GOTO 335
       IF(MIN.LE.MINT) GOTO 332
      MIN=MINT
      MAXRT=IJ
  332  CONTINUE
C     PRINT*,IS,MINR,MAXR,MINRT,MAXRT,J,MARK,INDEX(J)
      ENDIF
  335 IF(.NOT.((IS.GE.MIN).AND.(IS.LE.MAX)))GOTO 360                    MA
      IF(MARK)350,340,350                                               MA
340   I=J                                                               MA
      LOWJ=J                                                            MA
      MARK=1                                                            MA
350   INDEX(J)=-1                                                       MA
      GOTO 370                                                          MA
360   IF(MARK.EQ.1)GOTO 380                                             MA
370   CONTINUE                                                          MA
380   IF(MARK.EQ.1)IHIGHJ=J-1                                           MA
C     MINR=MIN0(I,MINR+1)                                                MA
      MINR=I
390   IS=IS+ISTAP                                                       MA
      IDELT=IHIGHJ-LOWJ                                                 MA
      IHILO(JJ)=10000*IDELT+LOWJ                                        MA
      JJ=JJ+1                                                           MA
      IF(IS-IOMEG)280,280,400                                           MA
C.....DETERMINE MAXIMUM NUMBER OF OVERLAPPING REFLECTIONS FOR ANY       MA
C.....INTENSITY.                                                        MA
400   OLIM=1.                                                           MA
      IF(IOMEG.NE.IS-ISTAP) THEN
       PRINT*,' E R R O R : ******************************'
       PRINT*,' LAST 2THETA IN DATA FILE NOT EQUAL TO INPUT IOMEG!!!!!'
      ENDIF
      JJ1=JJ-1                                                          MA
      DO 410 I=1,JJ1                                                    MA
      LOWJ=MOD(IHILO(I),10000)                                          MA
      IDELT=IHILO(I)/10000                                              MA
      IHIGHJ=LOWJ+IDELT                                                 MA
C.....DETERMINE TOTAL NUMBER OF REFLECTIONS WITHIN RANGE CONCERNED      MA
      IF(LOWJ.EQ.0)YY(I)=0.                                             MA
      Y=IHIGHJ-LOWJ                                                     MA
410   IF(Y.GT.OLIM)OLIM=Y                                               MA
      OLIM=OLIM+1.                                                      MA
      IF(OLIM.GT.100.)OLIM=100.                                           MA
      I=0                                                               MA
      DO 420 IS=1,N                                                     MA
      IF(INDEX(IS).EQ.-1)I=I+1                                          MA
420   CONTINUE                                                          MA
C.....WRITE DATA ON TAPE AND PRINT REFLECTIONS                          MA
      CALL DUMP(OLIM)                                                   MA
      CALL DUMP(FLOAT(I))                                               MA
      DO 430 KJ=1,NPAT                                                  MA
      DO 430 I=1,3                                                      MA
430   CALL DUMP(FLOAT(NH(KJ,I)))                                        MA
      I=0                                                               MA
      DO 470 IS=1,N                                                     MA
      LLS=LL(IS)                                                        MA
      M=MOD(ICM(LLS),100)                                               MA
      ICODE=ICM(LLS)/100                                                MA
      IZ=0                                                              MA
      IF(INDEX(IS).EQ.-1)IZ=1                                           MA
      IF(IZ-1)460,440,460                                               MA
440   I=I+1                                                             MA
      TT(IS)=I                                                          MA
      CALL DUMP(FLOAT(ICODE))                                           MA
      DO 450 J=1,3                                                      MA
450   CALL DUMP(FLOAT(IH(J,LLS)))                                       MA
      XX=FLOAT(M)*PI*PLOR(LLS)                                          MA
      CALL DUMP(XX)                                                     MA
      WRITE(16,730)I,ICODE,(IH(J,LLS),J=1,3),M,HWL(LLS),TL(LLS)          MA
      GOTO 470                                                          MA
460   TT(IS)=0.                                                         MA
      WRITE(16,740)ICODE,(IH(J,LLS),J=1,3),M,HWL(LLS),TL(LLS)            MA
470   CONTINUE                                                          MA
C.....CORRECT FOR BACKGROUND AND PRINT PROFILE INTENSITIES              MA
      WRITE(16,900)IALFA,IOMEG,ISTAP                                     MA
      LIMO=OLIM+0.5                                                     MA
      WRITE(16,760)(NOX,I=1,LIMO)                                        MA
      CALL DUMP(FLOAT(IALFA))                                           MA
      CALL DUMP(FLOAT(ISTAP))                                           MA
      CALL DUMP(FLOAT(IOMEG))                                           MA
      I=IALFA                                                           MA
C-----NEXT LINE INPUT FOR MAN1 DATA! ----------------------------
      IF(IALFA.LE.10) I=IHT(1)
      JJ=1                                                              MA
      IZ=0                                                              MA
      NZ=0                                                              MA
480   Y=YY(JJ)                                                          MA
      IF(FLOAT(I).LT.POS(1))BACK=BAK(1)
      IF(FLOAT(I).GT.POS(NB))BACK=BAK(NB)
      IF(FLOAT(I).GE.POS(1).AND.FLOAT(I).LE.POS(NB))THEN
        DO 305 KK=2,NB
        IF(POS(KK-1).LE.FLOAT(I).AND.FLOAT(I).LE.POS(KK))THEN
          SB=(BAK(KK)-BAK(KK-1))/(POS(KK)-POS(KK-1))
          BACK=BAK(KK-1)+(FLOAT(I)-POS(KK-1))*SB
        ENDIF
305     CONTINUE
      ENDIF
      WRITE(8,941)FLOAT(I)*.01,BACK
       IF(IALFA.LE.10)THEN
         IWY=1
       ELSE
      IWY=IW(JJ)
       ENDIF
      LOWJ=MOD(IHILO(JJ),10000)                                         MA
      IDELT=IHILO(JJ)/10000                                             MA
      IHIGHJ=LOWJ+IDELT                                                 MA
      IF(IALFA.LE.10)I=IHT(JJ)                                          MA
      IF(Y)500,490,500                                                  MA
490   NZ=NZ+1                                                           MA
      IZ=1                                                              MA
      CALL DUMP(0.)                                                     MA
      IF(IALFA.LE.10)CALL DUMP(FLOAT(I))                                MA
      GOTO 630                                                          MA
500   NB1=NB+1                                                          MA
      DO 520 J=1,NB1                                                    MA
      J1=J-1                                                            MA
      IF(J1.EQ.0)J1=1                                                   MA
      IF(IFIX(POS(J)).LE.I)GOTO 520                                     MA
      BACK=BAK(J1)                                                      MA
      IF(J-J1)530,530,510                                               MA
510   BACK=BACK+(FLOAT(I)-POS(J1))/(POS(J)-POS(J1))*(BAK(J)-BAK(J1))    MA
      GOTO 530                                                          MA
520   CONTINUE                                                          MA
530   IF(IWY.EQ.0)IWY=1
      W=FLOAT(IWY)
      W=W*250./(Y+SBB*SBB)                                                 MA
C      PRINT *,I,BACK
      YL=Y-BACK                                                         MA
      IF(YL.EQ.0.)YL=1.                                                 MA
      L=0                                                               MA
      III=0                                                             MA
540   IF(IZ-1)600,550,600                                               MA
550   IF(NZ-4)560,560,570                                               MA
560   WRITE(16,770)(III,K=1,NZ)                                          MA
      GOTO 580                                                          MA
570   WRITE(16,770)(III,K=1,2)                                           MA
      NZ4=NZ-4                                                          MA
      WRITE(16,780)NZ4                                                   MA
      WRITE(16,770)(III,K=1,2)                                           MA
580   IF(I-IOMEG)590,590,640                                            MA
590   IZ=0                                                              MA
      NZ=0                                                              MA
600   CALL DUMP(YL)                                                     MA
      CALL DUMP(W)                                                      MA
      K1=LOWJ                                                           MA
      K1=TT(K1)+0.5                                                     MA
      K2=IHIGHJ                                                         MA
      K2=TT(K2)+0.5                                                     MA
      KD=K2-K1+1                                                        MA
      IF(KD.GT.MNOVRF)MNOVRF=KD
      IF(KD.LE.500)GOTO 620                                              MA
      PRINT 610,K1,K2                                                   MA
610   FORMAT(6H REFL ,I4,14H THROUGH REFL ,I4,
     2' CONTRIBUTE TO THIS YOBS, ONLY 500 OF THESE ARE USED')
      K1=K1+(KD-100)/2                                                   MA
      K2=K2-(KD-99)/2                                                   MA
620   CALL DUMP(FLOAT(K1))                                              MA
      CALL DUMP(FLOAT(K2))                                              MA
      IF(IALFA.LE.10)CALL DUMP(FLOAT(I))                                MA
      WRITE(16,790)I,Y,BACK,YL,W,(K,K=K1,K2)                             MA
630   I=I+ISTAP                                                         MA
      JJ=JJ+1                                                           MA
      IF(I.LE.IOMEG)GOTO 480                                            MA
      IF(IZ.EQ.1)GOTO 540                                               MA
640   CALL DUMP(-12345.)                                                MA
      WRITE(16,800)                                                      MA
      IF(NCU.NE.0) WRITE(4,890)(LOW(I),IHIGH(I),I=1,NCU)                             MA
      PRINT *,' MAXIMUM NUMBER OF OVERLAPPING REFLECTIONS IS ',MNOVRF
      CLOSE(7)
      CLOSE(8)
      STOP                                                              MA
650   FORMAT(
     2 61H0PREPARATION OF NEUTRON POWDER PROFILE INTENSITIES FORMAGNETI,
     3 43HC AND NUCLEAR STRUCTURE REFINEMENT PROGRAM.)                  MA
660   FORMAT(45H FORTRAN IV VERSION-NOVEMBER 1970-R.C.N. F419,16X,
     2 43HVERSION FOR MORE THAN ONE PATTERN: PJB 1977)                  MA
670   FORMAT(BZ,20A4)
680   FORMAT(51H0   NO.  CODE    H   K   L   MULT     HW       POSN)    MA
690   FORMAT(8X,I4,2X,3I4)                                              MA
700   FORMAT(BZ,5I8)
710   FORMAT(BZ,3I8)
720   FORMAT(BZ,10(I2,F6.0))
730   FORMAT(1X,I5,I6,2X,3I4,I6,F9.1,F11.1)                             MA
740   FORMAT(7H    ***,I6,2X,3I4,I6,F9.1,F11.1)                         MA
750   FORMAT(1H0,3I6)                                                   MA
760   FORMAT(40H0  POSN   I+B      B     I       W      ,20(A3,1X)/1H ,
     2 39X,20(A3,1X))                                                   MA
770   FORMAT(1X,I12)                                                    MA
780   FORMAT(6X,1H(,I4,7H ZEROS))                                       MA
790   FORMAT(1X,I6,3F7.0,G19.9,20I4/(47X,20I4))                           MA
800   FORMAT(1X,119(1H+))                                               MA
810   FORMAT(15H0WAVELENGTH(S)=,2F7.4)                                  MA
820   FORMAT(11H0ZEROPOINT=,F6.2)                                       MA
830   FORMAT(22H0HALFWIDTH PARAMETERS ,1X,11HFOR PATTERN,I2)            MA
840   FORMAT(3H U=,F9.1,3X,2HV=,F9.1,3X,2HW=,F9.1)                      MA
850   FORMAT(12H0BACKGROUND=/9H POSITION,4X,9HINTENSITY)                MA
860   FORMAT(1X,F7.0,6X,F6.0)                                           MA
870   FORMAT(21H0NO EXCLUDED REGIONS.)                                  MA
880   FORMAT(18H0EXCLUDED REGIONS=/5H FROM,5X,2HTO)                     MA
890   FORMAT(1X,I5,4X,I5)                                               MA
900   FORMAT(13H0DIAGRAM FROM,I6,1X,2HTO,I6,1X,11HIN STEPS OF,I3,1X,
     2 15H1/100THS DEGREE,/,
     3 41H0IF IALFA = 1, ANGLES ARE ON INPUT CARDS.)                    MA
910   FORMAT(1X,20A4)                                                   MA
920   FORMAT(1X,29(1H-))                                                MA
930   FORMAT(1X,35(1H-))                                                MA
940   FORMAT(BZ,I8,F8.0)
941   FORMAT(1X,F9.3,1X,F10.0)
950   FORMAT(//,28H CELL DIMENSIONS FOR PATTERN,I2)                     MA
      END                                                               MA
C*F45V1P0*
      SUBROUTINE CELL(X)
C     ***********************************************************       CE
C     THE SUBROUTINE CELL READS EITHER DIRECT CELL PARAMETERS AND       CE
C     CONVERTS THESE TO CELL CONSTANTS,WHICH ARE PLACED IN ARRAY X OR   CE
C     READS CELL CONSTANTS AND PRINTS THE DIRECT CELL PARAMETERS.       CE
C     ***********************************************************       CE
C                                                                       CE
C                                                                       CE
      DIMENSION X(3,3),IREDIN(50)                                       CE
C                                                                       CE
C                                                                       CE
      COMMON /INPUT/NREAD,NPOINT,IRED,MODE,LINO,IDISML,ICHARS(14),
     2 ICARD(80),READIN(50)                                             CE
C                                                                       CE
C                                                                       CE
      EQUIVALENCE (READIN(1),IREDIN(1))                                 CE
C                                                                       CE
      RAD=3.14159265359/180.                                            CE
      IDISML=-1                                                         CE
      NREAD=6                                                           CE
      IRED=1                                                            CE
      MODE=0                                                            CE
      IBEG=1                                                            CE
      LINO=0                                                            CE
      CALL INITD(IBEG)                                                  CE
      CALL  FREIN                                                       CE
      A=READIN(1)                                                       CE
      B=READIN(2)                                                       CE
      C=READIN(3)                                                       CE
      D=READIN(4)                                                       CE
      E=READIN(5)                                                       CE
      F=READIN(6)                                                       CE
      ISW=0                                                             CE
      IF(A.LT.1.)ISW=1                                                  CE
      IF(ISW.EQ.0)GOTO 10                                               CE
      X(1,1)=A                                                          CE
      X(2,2)=B                                                          CE
      X(3,3)=C                                                          CE
      X(1,2)=F                                                          CE
      X(1,3)=E                                                          CE
      X(2,3)=D                                                          CE
      A=SQRT(A)                                                         CE
      B=SQRT(B)                                                         CE
      C=SQRT(C)                                                         CE
      COSA=D/(2.*B*C)                                                   CE
      COSB=E/(2.*A*C)                                                   CE
      COSC=F/(2.*A*B)                                                   CE
      GOTO 20                                                           CE
10    COSA=COS(RAD*D)                                                   CE
      COSB=COS(RAD*E)                                                   CE
      COSC=COS(RAD*F)                                                   CE
20    SINA=SQRT(1.-COSA*COSA)                                           CE
      SINB=SQRT(1.-COSB*COSB)                                           CE
      SINC=SQRT(1.-COSC*COSC)                                           CE
      V=A*B*C*SQRT(1.-COSA*COSA-COSB*COSB-COSC*COSC+2.*COSA*COSB*COSC)  CE
      AS=B*C*SINA/V                                                     CE
      BS=C*A*SINB/V                                                     CE
      CS=A*B*SINC/V                                                     CE
      COSAS=(COSB*COSC-COSA)/(SINB*SINC)                                CE
      COSBS=(COSC*COSA-COSB)/(SINC*SINA)                                CE
      COSCS=(COSA*COSB-COSC)/(SINA*SINB)                                CE
      IF(ISW.EQ.0)GOTO 30                                               CE
      A=AS                                                              CE
      B=BS                                                              CE
      C=CS                                                              CE
      D=ATAN2(SQRT(1.-COSAS*COSAS),COSAS)/RAD                           CE
      E=ATAN2(SQRT(1.-COSBS*COSBS),COSBS)/RAD                           CE
      F=ATAN2(SQRT(1.-COSCS*COSCS),COSCS)/RAD                           CE
      GOTO 40                                                           CE
30    X(1,1)=AS*AS                                                      CE
      X(2,2)=BS*BS                                                      CE
      X(3,3)=CS*CS                                                      CE
      X(1,2)=2.*AS*BS*COSCS                                             CE
      X(1,3)=2.*AS*CS*COSBS                                             CE
      X(2,3)=2.*BS*CS*COSAS                                             CE
40    WRITE(16,50)A,B,C,D,E,F                                            CE
50    FORMAT(3H A=,F8.4,6X,2HB=,F8.4,6X,2HC=,F8.4/7H ALPHA=,F7.3,3X,
     2 5HBETA=,F7.3,4X,6HGAMMA=,F7.3)                                   CE
      RETURN                                                            CE
C**  THIS PROGRAM VALID ON FTN4 AND FTN5 **
      END
C*F45V1P0*
      SUBROUTINE DUMP(X)
C     *********************************************************         DU
C     THE SUBROUTINE DUMP STORES THE VALUE X IN ARRAY DUMPA.            DU
C     WHEN THIS HAS BEEN FILLED,ITS CONTENTS ARE TRANSFERRED TO         DU
C     A TEMPORARY DATA SET ON DISC IN RECORDS OF 500 MUMBERS.           DU
C     ********************************************************          DU
C                                                                       DU
C                                                                       DU
      COMMON DUMPA(500),II,NKEY,TEXT(20),NTEXT,KSTART                   DU
      COMMON TL(1500),LL(1500)                                          DU
      II=II+1                                                           DU
      DUMPA(II)=X                                                       DU
      IF(II.NE.500)GOTO 20                                              DU
      WRITE(3)DUMPA                                                     DU
      II=0                                                              DU
20    IF(X.NE.-12345.)GOTO 30                                           DU
      WRITE(3)DUMPA                                                     DU
      DUMPA(1)=-12345.                                                  DU
      WRITE(3)DUMPA                                                     DU
      ENDFILE 3                                                         DU
C      REWIND 3                                                          DU
30    RETURN                                                            DU
C**  THIS PROGRAM VALID ON FTN4 AND FTN5 **
      END
C*F45V1P0*
      SUBROUTINE SORT(N)
C     ********************************************************          SO
C     THE SUBROUTINE SORT APPLIES TO THE ARRAY A WITH J ELEMENTS.       SO
C     THE INDICES OF THE ORDERED ARRAY ARE PLACED IN ARRAY L            SO
C     TO OBTAIN THE ORDERED ARRAY REPLACE THE INDICES I OF A(I)         SO
C     WITH I=L(I)---REF.CACM 271                                        SO
C     *********************************************************         SO
C                                                                       SO
C                                                                       SO
      DIMENSION IUT(10),ILT(10),TEXT(20)                                SO
C                                                                       SO
      COMMON DUMPA(500),II,NKEY,TEXT,NTEXT,KSTART                       SO
      COMMON A(1500),L(1500)                                            SO
      J=N                                                               SO
      I=1                                                               SO
      M=1                                                               SO
      DO 10 K=1,J                                                       SO
10    L(K)=K                                                            SO
20    IF(J-I-1)140,140,30                                               SO
30    IP=(J+I)/2                                                        SO
      ITT=L(IP)                                                         SO
      T=A(ITT)                                                          SO
      L(IP)=L(I)                                                        SO
      IQ=J                                                              SO
      K=I+1                                                             SO
40    IF(K.GT.IQ)GOTO 90                                                SO
      LK=L(K)                                                           SO
      IF(A(LK).LE.T)GOTO 80                                             SO
      IQ=IQ                                                             SO
50    IF(IQ.LT.K)GOTO 70                                                SO
      LQ=L(IQ)                                                          SO
      IF(A(LQ).GE.T)GOTO 60                                             SO
      IX=L(K)                                                           SO
      L(K)=L(IQ)                                                        SO
      L(IQ)=IX                                                          SO
      IQ=IQ-1                                                           SO
      GOTO 80                                                           SO
60    IQ=IQ-1                                                           SO
      GOTO 50                                                           SO
70    CONTINUE                                                          SO
      IQ=K-1                                                            SO
      GOTO 100                                                          SO
80    K=K+1                                                             SO
      GOTO 40                                                           SO
90    CONTINUE                                                          SO
100   L(I)=L(IQ)                                                        SO
      L(IQ)=ITT                                                         SO
      IF(2*IQ-I-J)120,120,110                                           SO
110   ILT(M)=I                                                          SO
      IUT(M)=IQ-1                                                       SO
      I=IQ+1                                                            SO
      GOTO 130                                                          SO
120   ILT(M)=IQ+1                                                       SO
      IUT(M)=J                                                          SO
      J=IQ-1                                                            SO
130   M=M+1                                                             SO
      GOTO 20                                                           SO
140   IF(I-J)150,170,170                                                SO
150   LI=L(I)                                                           SO
      LJ=L(J)                                                           SO
      IF(A(LI)-A(LJ))170,170,160                                        SO
160   IX=L(I)                                                           SO
      L(I)=L(J)                                                         SO
      L(J)=IX                                                           SO
170   M=M-1                                                             SO
      IF(M)190,190,180                                                  SO
180   I=ILT(M)                                                          SO
      J=IUT(M)                                                          SO
      GOTO 20                                                           SO
190   CONTINUE                                                          SO
      RETURN                                                            SO
C**  THIS PROGRAM VALID ON FTN4 AND FTN5 **
      END
C*F45V1P0*
      SUBROUTINE  FREIN
C                                                                       FR
C      FREE FORMAT INPUT ROUTINE FOR INTEGER AND DECIMAL VALUES         FR
C                                                                       FR
C                                                                       FR
      DIMENSION IREDIN(50)                                              FR
C                                                                       FR
C                                                                       FR
      COMMON /INPUT/NREAD,NPOINT,IRED,MODE,LINO,IDISML,ICHARS(14),
     2 ICARD(80),READIN(50)                                             FR
C                                                                       FR
C                                                                       FR
      EQUIVALENCE (READIN(1),IREDIN(1))                                 FR
C                                                                       FR
C     NREAD IS  THE NUMBER OF VALUES TO BE PICKED UP FROM THE INPUT STREFR
C                                                                       FR
C     NPOINT IS THE POSITION OF THE POINTER IN ARRAY ICARD              FR
C                                                                       FR
C     MODE  = 0 ALL INPUT VALUES ON THE SAME LINE                       FR
C           = 1 INPUT VALUES MAY BE SPREAD OVER MORE THAN ONE LINE      FR
C               THE PROGRAM ASSUMES THAT VALUES NOT PICKED UP ARE ZERO WFR
C               BUT REQUIRES ALL VALUES TO BE PUNCHED WHEN MODE= 1      FR
C                                                                       FR
C     LINO IS THE LINE NUMBER IN THE INPUT DATA CURRENTLY BEING DEALT WIFR
C          (STARTS FROM ZERO)                                           FR
C                                                                       FR
C     IRED IS (THE NUMBER OF VALUES READ PREVIOUSLY +1)                 FR
C          (I.E. THE SUBSCRIPT OF ARRAY READIN)                         FR
C                                                                       FR
C     IDISML= -1 READ DECIMAL VALUES                                    FR
C              1 READ INTEGER VALUES                                    FR
C                                                                       FR
C                                                                       FR
C     INPUT BUFFER DIMENSION                                            FR
C                                                                       FR
      NBUFF=50                                                          FR
C                                                                       FR
C     INPUT CHANNEL                                                     FR
C                                                                       FR
      LPR=16                                                             FR
C                                                                       FR
C     CONSTANT VALUES USED BY CHARACTER COMPARISON ROUTINE              FR
C                                                                       FR
      IBEG=1                                                            FR
      IC=1                                                              FR
      IE=1                                                              FR
C                                                                       FR
C     SET VALUES TO BE READ TO ZERO                                     FR
C                                                                       FR
      L=IRED+NREAD-1                                                    FR
      IF(IDISML)10,30,30                                                FR
10    DO 20 I=IRED,L                                                    FR
      READIN(I)=0.0                                                     FR
20    CONTINUE                                                          FR
      GOTO 50                                                           FR
30    DO 40 I=IRED,L                                                    FR
      IREDIN(I)=0                                                       FR
40    CONTINUE                                                          FR
C                                                                       FR
C     LOOP THROUGH INPUT VALUES                                         FR
C                                                                       FR
50    DO 370 I=1,NREAD                                                  FR
C                                                                       FR
C     KEY FOR BEGINNING OF VALUE                                        FR
C                                                                       FR
      ISTART=-1                                                         FR
C                                                                       FR
C     KEY FOR SIGN OF VALUE                                             FR
C                                                                       FR
60    ISYN=1                                                            FR
C                                                                       FR
C     KEYS FOR DECIMAL PART OF VALUE                                    FR
C                                                                       FR
      DPT=0.1                                                           FR
      IDPT=-1                                                           FR
C                                                                       FR
      L=NPOINT                                                          FR
      IF(NPOINT-80)70,70,250                                            FR
C                                                                       FR
C     CHECK THAT INPUT BUFFER IS NOT OVERFLOWED                         FR
C                                                                       FR
70    IF(IRED-NBUFF)80,80,420                                           FR
C                                                                       FR
C     LOOP ALONG CARD                                                   FR
C                                                                       FR
80    DO 240 J=L,80                                                     FR
C                                                                       FR
C     SPACE CHARACTER?                                                  FR
C                                                                       FR
      IA=0                                                              FR
      IB=ICHARS(14)                                                     FR
      ID=ICARD(J)                                                       FR
      IF(IB.EQ.ID)IA=1
      NPOINT=NPOINT+1                                                   FR
      IF(IA-1)100,90,100                                                FR
C                                                                       FR
C     IF SPACE JUMP TO 90; IF NOT TO 100                                FR
C                                                                       FR
90    IF(ISTART)240,330,330                                             FR
C                                                                       FR
C     JUMP TO 330 IF END OF VALUE                                       FR
C                                                                       FR
C     SET KEY FOR A VALUE IN ACCUMULATION                               FR
C                                                                       FR
100   ISTART=ISTART+1                                                   FR
      DO 110 K=1,13                                                     FR
C                                                                       FR
C     CHECK ICARD(J) AGAINST CHARACTER LIST                             FR
C                                                                       FR
      IA=0                                                              FR
      IB=ICHARS(K)                                                      FR
C     CALL COMP(IA,IB,IC,ID,IE)                                         FR
      IF(IB.EQ.ID)IA=1
      IF(IA-1)110,120,110                                               FR
C                                                                       FR
C     JUMP TO 120 IF CHARACTER IDENTIFIED                               FR
C                                                                       FR
110   CONTINUE                                                          FR
C                                                                       FR
C     CHARACTER NOT IDENTIFIED                                          FR
C                                                                       FR
      GOTO 390                                                          FR
C                                                                       FR
C     IS CHARACTER AN INTEGER?                                          FR
C                                                                       FR
120   IF(K-11)190,130,160                                               FR
C                                                                       FR
C     JUMP TO 190 IF INTEGER; 130 IF DECIMAL POINT; 160 IF SIGN.        FR
C                                                                       FR
130   IF(IDISML)140,140,400                                             FR
C                                                                       FR
C     JUMP TO 400 IF SPURIOUS DECIMAL POINT IN INTEGER VALUE            FR
C                                                                       FR
140   IF(IDPT)150,400,400                                               FR
C                                                                       FR
C     SET KEY FOR DECIMAL POINT FOUND                                   FR
C                                                                       FR
150   IDPT=1                                                            FR
      GOTO 240                                                          FR
C                                                                       FR
C     CHECK FOR SPURIOUS SIGN                                           FR
C                                                                       FR
160   IF(ISTART)170,170,400                                             FR
C                                                                       FR
C     JUMP TO 400 IF SPURIOUS                                           FR
C                                                                       FR
170   IF(K-12)180,180,240                                               FR
C                                                                       FR
C     NEGATIVE SIGN                                                     FR
C                                                                       FR
180   ISYN=-1                                                           FR
      GOTO 240                                                          FR
C                                                                       FR
C     INTEGER OR DECIMAL INPUT?                                         FR
C                                                                       FR
190   IF(IDISML)200,230,230                                             FR
C                                                                       FR
C     JUMP TO 200 IF DECIMAL; 230 IF INTEGER                            FR
C                                                                       FR
C     DECIMAL POINT FOUND?                                              FR
C                                                                       FR
200   IF(IDPT)210,220,220                                               FR
C                                                                       FR
C     JUMP TO 210 IF NOT YET FOUND                                      FR
C                                                                       FR
210   READIN(IRED)=READIN(IRED)*10.0+FLOAT(K-1)                         FR
      GOTO 240                                                          FR
C                                                                       FR
C     DECIMAL POINT PREVIOUSLY FOUND IN THIS VALUE                      FR
C                                                                       FR
220   READIN(IRED)=READIN(IRED)+FLOAT(K-1)*DPT                          FR
      DPT=DPT/10.0                                                      FR
      GOTO 240                                                          FR
C                                                                       FR
C     INTEGER VALUE                                                     FR
C                                                                       FR
230   IREDIN(IRED)=IREDIN(IRED)*10+K-1                                  FR
240   CONTINUE                                                          FR
C                                                                       FR
C     END OF LINE REACHED. WAS A VALUE IN PROGRESS?                     FR
C                                                                       FR
250   IF(ISTART)300,260,260                                             FR
260   IF(IDISML)270,280,280                                             FR
C                                                                       FR
C     JUMP TO 270 IF DECIMAL VALUE; 280 IF INTEGER                      FR
C                                                                       FR
270   READIN(IRED)=FLOAT(ISYN)*READIN(IRED)                             FR
      GOTO 290                                                          FR
280   IREDIN(IRED)=IREDIN(IRED)*ISYN                                    FR
290   IRED=IRED+1                                                       FR
300   IF(IRED-NREAD)310,310,370                                         FR
C                                                                       FR
C     JUMP TO 310 IF MORE VALUES TO BE READ                             FR
C                                                                       FR
310   IF(MODE)380,380,320                                               FR
C                                                                       FR
C     JUMP TO 380 IF VALUES NOT PICKED UP ARE ASSUMED ZERO              FR
C                                                                       FR
320   CALL INITD(IBEG)                                                  FR
      IF(ISTART)60,370,370                                              FR
C                                                                       FR
C     JUMP TO 60 IF VALUE NOT TERMINATED BY END OF CARD; OTHERWISE 370  FR
C                                                                       FR
C     END OF VALUE SIGNALLED BY SPACE CHARACTER                         FR
C                                                                       FR
330   IF(IDISML)340,350,350                                             FR
340   READIN(IRED)=READIN(IRED)*FLOAT(ISYN)                             FR
      GOTO 360                                                          FR
350   IREDIN(IRED)=IREDIN(IRED)*ISYN                                    FR
360   IRED=IRED+1                                                       FR
C                                                                       FR
C     END OF LOOP ON INPUT VALUES                                       FR
C                                                                       FR
370   CONTINUE                                                          FR
380   CONTINUE                                                          FR
C     CALL ICL9HEREPORT(" FREIN",1,4,25)
      RETURN
C                                                                       FR
C     ERROR TRAPS                                                       FR
C                                                                       FR
C     UNIDENTIFIED CHARACTER                                            FR
C                                                                       FR
390   IRUB=ICARD(NPOINT-1)                                              FR
      GOTO 410                                                          FR
C                                                                       FR
C     SPURIOUS SIGN OR DECIMAL POINT                                    FR
C                                                                       FR
400   IRUB=ICHARS(K)                                                    FR
410   WRITE(LPR,440)IRUB,NPOINT,LINO                                    FR
      WRITE(LPR,450)(ICARD(I),I=1,80)                                   FR
      STOP                                                              FR
C                                                                       FR
C     INPUT BUFFER OVERFLOWED                                           FR
C                                                                       FR
420   WRITE(LPR,460)LINO                                                FR
      STOP                                                              FR
C                                                                       FR
440   FORMAT(11H0SPURIOUS ',A1,18H' AT ABOUT COLUMN ,I3,9H ON LINE ,I3,
     2 14H OF INPUT FILE)                                               FR
450   FORMAT(29H0THE LINE IN ERROR CONTAINS: ,80A1)                     FR
460   FORMAT(43H0INPUT BUFFER OVERFLOWED WHEN READING LINE ,I3)         FR
C**  THIS PROGRAM VALID ON FTN4 AND FTN5 **
      END
C*F45V1P0*
      SUBROUTINE INITD(IBEG)
C                                                                       IN
C     READS CARDS FROM THE INPUT STREAM AS CHARACTER STRINGS,           IN
C     AND RESETS THE LINE NUMBER AND POINTER FOR SUBROUTINE             IN
C      FREIN TO OPERATE                                                 IN
C                                                                       IN
C                                                                       IN
      COMMON /INPUT/NREAD,NPOINT,IRED,MODE,LINO,IDISML,ICHARS(14),
     2 ICARD(80),READIN(50)                                             IN
C                                                                       IN
      READ(5,10,END=10000)(ICARD(I),I=IBEG,80)
10000 LINO=LINO+1
      NPOINT=IBEG                                                       IN
      RETURN                                                            IN
C                                                                       IN
10    FORMAT(BZ,80A1)
      END                                                               IN
C*F45V1P0*
      BLOCK DATA PPP
      COMMON /INPUT/ NREAD,NPOINT,IRED,MODE,LINO,IDISML,
     1  ICHARS(14),ICARD(80),READIN(50)
C
      DATA(ICHARS(I),I=1,8)/"0", "1", "2", "3", "4", "5", "6", "7"/
      DATA(ICHARS(I),I=9,14)/"8", "9", ".", "-", "+", " "/
C**  THIS PROGRAM VALID ON FTN4 AND FTN5 **
      END
